<!---
Issue to be used when undertaking some migration works
Name will have the following format: EDM Migration - table_name: {final_table_name} for example dim_license
---->

In order to cleanly migrate a table to the EDM format, we need to go through the following process. Each step of the process will need its specific issue that will be linked to this Master Issue

### Creation of the EDM table

* [ ] issue number:

We need to create a table in common that follows the principles of our [Enterprise Dimension Model described here](https://about.gitlab.com/handbook/business-technology/data-team/platform/edw/)

### Removing references in SiSense

* [ ] issue number:

We need to remove references to all **used** SiSense dashboards. Data Team will take care of most of the migration. We can aso require the help of other users, especially distributed Analytics (Growth Product Analytics can be definitely involved).

Tips:
* To check the charts using a specific model, [we created this dashboard](https://app.periscopedata.com/app/gitlab/875543/Charts-Using-a-specific-Model) that you can easily edit.
* To check the traffic generated by a dashboard. you can check the number of users visiting a specific dashboard [with this chart](https://app.periscopedata.com/app/gitlab/875543/Charts-Using-a-specific-Model?widget=11952566&udv=0) that you can easily edit (just need to enter the name of the dashboard). Based on this chart, you can decide to archive the dashboard instead of refactoring it.

### Drop the old model(s)

* [ ] issue number:

Once this is done do a formal announcement on the #data channel to inform main stakeeholders.

/label ~"Data Team" ~"product analysis" ~"Product" ~"dbt" ~"Enhancement"
