## The Data Team Intern Guide

Goal: This issue will serve as the guide for your internship.

## Expected Timeline
Internships should be no less than 12 weeks, but an ideal length of time is 16 weeks. Interns are expected to work no less than 50% time. A part time intern will work between 30 (122.5) and 40 (162.5) work days. A full time intern will work between 60 and 80 work days.

Please keep your Slack status up to date with the "number" of the day you are on. (If possible, also mention this in your standups.) Days are counted in 8 hours increments, so you may work hours 7-9 in a calendar day, but you'll transition between Days 1 and 2 of the timeline.

## Part Time Timeline, 12 weeks
- [ ] Days 1-7 - GitLab onboarding & Data Team onboarding, emphasis on dbt
- [ ] Day 8 - The importance of documentation to democratizing analyses
- [ ] Days 9-10 - Inventory of existing documentation; Goal: List of dbt models that exist without any documentation, broken down by schema
- [ ] Day 11 - The importance of defining work processes, e.g. dbt test coverage
- [ ] Days 12-13 - Identify gaps in processes documentations; Goal: Make an MR to the data team handbook with info on where our processes are not properly documented
- [ ] Days 14-16 - Analysis Shadow from start to finish with data analyst; start working with manager to identify independent work project; create MR to the data analysis process with something learned; Work with manager to finalize details of independent work project
- [ ] Day 17 - The importance of testing to ensure data quality; Independent work project
- [ ] Day 18-19 - Inventory of existing tests; Goal: List of dbt models that don't have (at least) not null and unique tests; Independent work project
- [ ] Day 20-22 - Analysis Shadow from start to finish with data analyst; Independent work project
- [ ] Day 23-27 - Work on an analysis while being closely monitored; Independent work project
- [ ] Day 28 - Deliver independent work project to team in 40 minute presentation with 20 minute Q&A and in a blog post (example)
- [ ] Day 29-30 - Offboard, revoke accesses

## Meetings
### Prepping for meetings
Attending meetings is where you will get the opportunity to ask great questions of the team.
Most of the meetings you'll attend should already have invites and agendas attached to them. In case they don't, take initiative. Twenty-four hours before a meeting review the invite to be sure it has all [the requirements of a meeting](https://docs.google.com/document/d/1qj4MRlIXXGs4Jni0ITYp1uaHDQr53IvOqmpN-47RD-k/edit#heading=h.954v91mukl7r) (except the customer briefing document).

### Attending meetings
We want you to be involved in meetings as much as possible. Feel free to ask questions about things the team is working on, things you'd like additional context on, or things that you're interested in. There are no such things as silly questions. Be cognizant of the time constraints of meetings.
Meetings will always have an agenda in a google doc. Plan to take copious notes in the doc. This is a great way to be sure you understand the conversation.

### Scheduling meetings
On occasion, you'll be asked to coordinate a meeting. Read more about how we [schedule meetings at GitLab](https://about.gitlab.com/handbook/communication/#scheduling-meetings).

## Additional resources:
Use the below resources as a starting point for learning on the appropriate days. You should also expect to find resources, vet them for usefulness, and add to this issue template in an MR. 

### The importance of documentation to democratizing analyses
* [ ]  https://blog.fishtownanalytics.com/scaling-knowledge-160f9f5a9b6c
* [ ]  https://medium.com/airbnb-engineering/scaling-knowledge-at-airbnb-875d73eff091
* [ ]  https://docs.getdbt.com/docs/documentation
* [ ]  Schedule a call with [GitLab team member outside the Data-team] who uses docs to build their analyses
### The importance of defining work processes, e.g. dbt test coverage
* [ ] https://about.gitlab.com/handbook/handbook-usage/#why-handbook-first
* [ ] https://about.gitlab.com/handbook/business-ops/data-team/#dbt-test-coverage-rotation
* [ ] https://about.gitlab.com/handbook/business-ops/data-team/how-we-work/#milestone-planning
### The importance of testing to ensure data quality
* [ ]  https://docs.getdbt.com/docs/testing-and-documentation
