Closes

#### List and Describe Code Changes <!-- focus on why the changes are being made-->

* `change & why it was made`

#### Steps Taken to Test

* _action items_

#### Code Quality

* [ ] Passed all Python CI checks?
* [ ] Function signatures contain [type hints](https://about.gitlab.com/handbook/business-technology/data-team/platform/python-guide/#type-hints)?
* [ ] Imports follow PEP8 [rules for ordering](https://about.gitlab.com/handbook/business-technology/data-team/platform/python-guide/#import-order) and there are no extra imports
* [ ] [Docstrings](https://about.gitlab.com/handbook/business-technology/data-team/platform/python-guide/#docstrings) are found in every single function
* [ ] Was a [unit test](https://about.gitlab.com/handbook/business-technology/data-team/platform/python-guide/#unit-testing) added for any complex in-code logic?
  - [ ] Yes
  - [ ] No: <!--explain why-->
* [ ] Are [exceptions and errors](https://about.gitlab.com/handbook/business-technology/data-team/platform/python-guide/#exception-handling) handled correctly?
* [ ] Is there any data manipulation that [should be done in SQL instead](https://about.gitlab.com/handbook/business-technology/data-team/platform/python-guide/#when-not-to-use-python)?

