{{ config(
    tags=["mnpi_exception","product"]
) }}

{{
  config({
    "materialized": "table"
  })
}}

{{ simple_cte([
    ('sm_free_users','fct_ping_instance_free_user_metrics'),
    ('saas_free_users','prep_saas_usage_ping_free_user_metrics'),
    ('smau', 'fct_ping_instance_metric_wave_monthly')
]) }}

 , smau_metrics AS (

    SELECT DISTINCT
      dim_instance_id as uuid,
      hostname,
      snapshot_month,
      analytics_28_days_user,
      issues_edit_28_days_user,
      user_packages_28_days_user,
      terraform_state_api_28_days_user,
      incident_management_28_days_user
    FROM smau

 ), sm_free_user_metrics AS (

    SELECT
      sm_free_users.ping_created_date_month::DATE                                               AS reporting_month,
      NULL                                                                                      AS dim_namespace_id,
      sm_free_users.uuid,                                                            
      sm_free_users.host_name                                                                   AS hostname,
      sm_free_users.dim_installation_id,
      sm_free_users.ping_delivery_type                                                          AS delivery_type,
      sm_free_users.ping_deployment_type                                                        AS deployment_type,
      sm_free_users.cleaned_version,
      sm_free_users.dim_crm_account_id,
      sm_free_users.ping_created_date                                                           AS ping_date,
      sm_free_users.installation_creation_date,
      sm_free_users.umau_28_days_user,
      sm_free_users.action_monthly_active_users_project_repo_28_days_user,
      sm_free_users.merge_requests_28_days_user,
      sm_free_users.projects_with_repositories_enabled_28_days_user,
      sm_free_users.commit_comment_all_time_event,
      sm_free_users.source_code_pushes_all_time_event,
      sm_free_users.ci_pipelines_28_days_user,
      sm_free_users.ci_internal_pipelines_28_days_user,
      sm_free_users.ci_builds_28_days_user,
      sm_free_users.ci_builds_all_time_user,
      sm_free_users.ci_builds_all_time_event,
      sm_free_users.ci_runners_all_time_event,
      sm_free_users.auto_devops_enabled_all_time_event,
      sm_free_users.gitlab_shared_runners_enabled,
      sm_free_users.container_registry_enabled,
      sm_free_users.template_repositories_all_time_event,
      sm_free_users.ci_pipeline_config_repository_28_days_user,
      sm_free_users.user_unique_users_all_secure_scanners_28_days_user,
      sm_free_users.user_sast_jobs_28_days_user,
      sm_free_users.user_dast_jobs_28_days_user,
      sm_free_users.user_dependency_scanning_jobs_28_days_user,
      sm_free_users.user_license_management_jobs_28_days_user,
      sm_free_users.user_secret_detection_jobs_28_days_user,
      sm_free_users.user_container_scanning_jobs_28_days_user,
      sm_free_users.object_store_packages_enabled,
      sm_free_users.projects_with_packages_all_time_event,
      sm_free_users.projects_with_packages_28_days_event,
      sm_free_users.deployments_28_days_user,
      sm_free_users.releases_28_days_user,
      sm_free_users.epics_28_days_user,
      sm_free_users.issues_28_days_user,
      -- Wave 3.1
      sm_free_users.ci_internal_pipelines_all_time_event,
      sm_free_users.ci_external_pipelines_all_time_event,
      sm_free_users.merge_requests_all_time_event,
      sm_free_users.todos_all_time_event,
      sm_free_users.epics_all_time_event,
      sm_free_users.issues_all_time_event,
      sm_free_users.projects_all_time_event,
      sm_free_users.deployments_28_days_event,
      sm_free_users.packages_28_days_event,
      sm_free_users.sast_jobs_all_time_event,
      sm_free_users.dast_jobs_all_time_event,
      sm_free_users.dependency_scanning_jobs_all_time_event,
      sm_free_users.license_management_jobs_all_time_event,
      sm_free_users.secret_detection_jobs_all_time_event,
      sm_free_users.container_scanning_jobs_all_time_event,
      sm_free_users.projects_jenkins_active_all_time_event,
      sm_free_users.projects_bamboo_active_all_time_event,
      sm_free_users.projects_jira_active_all_time_event,
      sm_free_users.projects_drone_ci_active_all_time_event,
      sm_free_users.projects_github_active_all_time_event,
      sm_free_users.projects_jira_server_active_all_time_event,
      sm_free_users.projects_jira_dvcs_cloud_active_all_time_event,
      sm_free_users.projects_with_repositories_enabled_all_time_event,
      sm_free_users.protected_branches_all_time_event,
      sm_free_users.remote_mirrors_all_time_event,
      sm_free_users.projects_enforcing_code_owner_approval_28_days_user,
      sm_free_users.project_clusters_enabled_28_days_user,
      smau_metrics.analytics_28_days_user,
      smau_metrics.issues_edit_28_days_user,
      smau_metrics.user_packages_28_days_user,
      smau_metrics.terraform_state_api_28_days_user,
      smau_metrics.incident_management_28_days_user,
      -- Wave 3.2
      sm_free_users.auto_devops_enabled,
      sm_free_users.gitaly_clusters_instance,
      sm_free_users.epics_deepest_relationship_level_instance,
      sm_free_users.clusters_applications_cilium_all_time_event,
      sm_free_users.network_policy_forwards_all_time_event,
      sm_free_users.network_policy_drops_all_time_event,
      sm_free_users.requirements_with_test_report_all_time_event,
      sm_free_users.requirement_test_reports_ci_all_time_event,
      sm_free_users.projects_imported_from_github_all_time_event,
      sm_free_users.projects_jira_cloud_active_all_time_event,
      sm_free_users.projects_jira_dvcs_server_active_all_time_event,
      sm_free_users.service_desk_issues_all_time_event,
      sm_free_users.ci_pipelines_all_time_user,
      sm_free_users.service_desk_issues_28_days_user,
      sm_free_users.projects_jira_active_28_days_user,
      sm_free_users.projects_jira_dvcs_cloud_active_28_days_user,
      sm_free_users.projects_jira_dvcs_server_active_28_days_user,
      sm_free_users.merge_requests_with_required_code_owners_28_days_user,
      sm_free_users.analytics_value_stream_28_days_event,
      sm_free_users.code_review_user_approve_mr_28_days_user,
      sm_free_users.epics_usage_28_days_user,
      sm_free_users.ci_templates_usage_28_days_event,
      sm_free_users.project_management_issue_milestone_changed_28_days_user,
      sm_free_users.project_management_issue_iteration_changed_28_days_user,
      -- Wave 5.1
      sm_free_users.protected_branches_28_days_user,
      sm_free_users.ci_cd_lead_time_usage_28_days_event,
      sm_free_users.ci_cd_deployment_frequency_usage_28_days_event,
      sm_free_users.projects_with_repositories_enabled_all_time_user,
      sm_free_users.api_fuzzing_jobs_usage_28_days_user,
      sm_free_users.coverage_fuzzing_pipeline_usage_28_days_event,
      sm_free_users.api_fuzzing_pipeline_usage_28_days_event,
      sm_free_users.container_scanning_pipeline_usage_28_days_event,
      sm_free_users.dependency_scanning_pipeline_usage_28_days_event,
      sm_free_users.sast_pipeline_usage_28_days_event,
      sm_free_users.secret_detection_pipeline_usage_28_days_event,
      sm_free_users.dast_pipeline_usage_28_days_event,
      sm_free_users.coverage_fuzzing_jobs_28_days_user,
      sm_free_users.environments_all_time_event,
      sm_free_users.feature_flags_all_time_event,
      sm_free_users.successful_deployments_28_days_event,
      sm_free_users.failed_deployments_28_days_event,
      sm_free_users.projects_compliance_framework_all_time_event,
      sm_free_users.commit_ci_config_file_28_days_user,
      sm_free_users.view_audit_all_time_user,   
      -- Wave 5.2
      sm_free_users.dependency_scanning_jobs_all_time_user,
      sm_free_users.analytics_devops_adoption_all_time_user,
      sm_free_users.projects_imported_all_time_event,
      sm_free_users.preferences_security_dashboard_28_days_user,
      sm_free_users.web_ide_edit_28_days_user,
      sm_free_users.auto_devops_pipelines_all_time_event,
      sm_free_users.projects_prometheus_active_all_time_event,
      sm_free_users.prometheus_enabled,
      sm_free_users.prometheus_metrics_enabled,
      sm_free_users.group_saml_enabled,
      sm_free_users.jira_issue_imports_all_time_event,
      sm_free_users.author_epic_all_time_user,
      sm_free_users.author_issue_all_time_user,
      sm_free_users.failed_deployments_28_days_user,
      sm_free_users.successful_deployments_28_days_user, 
      -- Wave 5.3
      sm_free_users.geo_enabled,
      sm_free_users.auto_devops_pipelines_28_days_user,
      sm_free_users.active_instance_runners_all_time_event,
      sm_free_users.active_group_runners_all_time_event,
      sm_free_users.active_project_runners_all_time_event,
      sm_free_users.gitaly_version,
      sm_free_users.gitaly_servers_all_time_event,
      -- Wave 6.0
      sm_free_users.api_fuzzing_scans_all_time_event,
      sm_free_users.api_fuzzing_scans_28_days_event,
      sm_free_users.coverage_fuzzing_scans_all_time_event,
      sm_free_users.coverage_fuzzing_scans_28_days_event,
      sm_free_users.secret_detection_scans_all_time_event,
      sm_free_users.secret_detection_scans_28_days_event,
      sm_free_users.dependency_scanning_scans_all_time_event,
      sm_free_users.dependency_scanning_scans_28_days_event,
      sm_free_users.container_scanning_scans_all_time_event,
      sm_free_users.container_scanning_scans_28_days_event,
      sm_free_users.dast_scans_all_time_event,
      sm_free_users.dast_scans_28_days_event,
      sm_free_users.sast_scans_all_time_event,
      sm_free_users.sast_scans_28_days_event,
      -- Wave 6.1
      sm_free_users.packages_pushed_registry_all_time_event,
      sm_free_users.packages_pulled_registry_all_time_event,
      sm_free_users.compliance_dashboard_view_28_days_user,
      sm_free_users.audit_screen_view_28_days_user,
      sm_free_users.instance_audit_screen_view_28_days_user,
      sm_free_users.credential_inventory_view_28_days_user,
      sm_free_users.compliance_frameworks_pipeline_all_time_event,
      sm_free_users.compliance_frameworks_pipeline_28_days_event,
      sm_free_users.groups_streaming_destinations_all_time_event,
      sm_free_users.groups_streaming_destinations_28_days_event,
      sm_free_users.audit_event_destinations_all_time_event,
      sm_free_users.audit_event_destinations_28_days_event,
      sm_free_users.projects_status_checks_all_time_event,
      sm_free_users.external_status_checks_all_time_event,
      sm_free_users.paid_license_search_28_days_user,
      sm_free_users.last_activity_28_days_user,
      -- Wave 7
      sm_free_users.snippets_28_days_event,
      sm_free_users.single_file_editor_28_days_user,
      sm_free_users.merge_requests_created_28_days_event,
      sm_free_users.merge_requests_created_28_days_user,
      sm_free_users.merge_requests_approval_rules_28_days_event,
      sm_free_users.custom_compliance_frameworks_28_days_event,
      sm_free_users.projects_security_policy_28_days_event,
      sm_free_users.merge_requests_security_policy_28_days_user,
      sm_free_users.pipelines_implicit_auto_devops_28_days_event,
      sm_free_users.pipeline_schedules_28_days_user,
      -- Wave 8
      sm_free_users.ci_internal_pipelines_28_days_event,
      -- Data Quality Flag
      IFF(ROW_NUMBER() OVER (PARTITION BY sm_free_users.uuid, sm_free_users.host_name
                             ORDER BY sm_free_users.ping_created_at DESC
                            ) = 1,
          TRUE, FALSE)                                                                          AS is_latest_data
    FROM sm_free_users
    LEFT JOIN smau_metrics
     ON sm_free_users.uuid = smau_metrics.uuid
     AND sm_free_users.host_name = smau_metrics.hostname
     AND sm_free_users.ping_created_date_month = smau_metrics.snapshot_month
    QUALIFY ROW_NUMBER() OVER (
      PARTITION BY
        sm_free_users.uuid,
        sm_free_users.host_name,
        sm_free_users.ping_created_date_month
      ORDER BY sm_free_users.ping_created_at DESC
    ) = 1

), saas_free_user_metrics AS (

    SELECT
      reporting_month,
      dim_namespace_id,
      NULL                                                                                      AS uuid,
      NULL                                                                                      AS hostname,
      NULL                                                                                      AS dim_installation_id,
      'SaaS'                                                                                    AS delivery_type,
      'GitLab.com'                                                                              AS deployment_type,
      NULL                                                                                      AS cleaned_version,
      dim_crm_account_id,
      ping_date::DATE                                                                           AS ping_date,
      NULL                                                                                      AS installation_creation_date,
      -- Wave 2 & 3
      "usage_activity_by_stage_monthly.manage.events"                                           AS umau_28_days_user,
      "usage_activity_by_stage_monthly.create.action_monthly_active_users_project_repo"         AS action_monthly_active_users_project_repo_28_days_user,
      "usage_activity_by_stage_monthly.create.merge_requests"                                   AS merge_requests_28_days_user,
      "usage_activity_by_stage_monthly.create.projects_with_repositories_enabled"               AS projects_with_repositories_enabled_28_days_user,
      "counts.commit_comment"                                                                   AS commit_comment_all_time_event,
      "counts.source_code_pushes"                                                               AS source_code_pushes_all_time_event,
      "usage_activity_by_stage_monthly.verify.ci_pipelines"                                     AS ci_pipelines_28_days_user,
      "usage_activity_by_stage_monthly.verify.ci_internal_pipelines"                            AS ci_internal_pipelines_28_days_user,
      "usage_activity_by_stage_monthly.verify.ci_builds"                                        AS ci_builds_28_days_user,
      "usage_activity_by_stage.verify.ci_builds"                                                AS ci_builds_all_time_user,
      "counts.ci_builds"                                                                        AS ci_builds_all_time_event,
      "counts.ci_runners"                                                                       AS ci_runners_all_time_event,
      "counts.auto_devops_enabled"                                                              AS auto_devops_enabled_all_time_event,
      "gitlab_shared_runners_enabled"                                                           AS gitlab_shared_runners_enabled,
      "container_registry_enabled"                                                              AS container_registry_enabled,
      "counts.template_repositories"                                                            AS template_repositories_all_time_event,
      "usage_activity_by_stage_monthly.verify.ci_pipeline_config_repository"                    AS ci_pipeline_config_repository_28_days_user,
      "usage_activity_by_stage_monthly.secure.user_unique_users_all_secure_scanners"            AS user_unique_users_all_secure_scanners_28_days_user,
      "usage_activity_by_stage_monthly.secure.user_sast_jobs"                                   AS user_sast_jobs_28_days_user,
      "usage_activity_by_stage_monthly.secure.user_dast_jobs"                                   AS user_dast_jobs_28_days_user,
      "usage_activity_by_stage_monthly.secure.user_dependency_scanning_jobs"                    AS user_dependency_scanning_jobs_28_days_user,
      "usage_activity_by_stage_monthly.secure.user_license_management_jobs"                     AS user_license_management_jobs_28_days_user,
      "usage_activity_by_stage_monthly.secure.user_secret_detection_jobs"                       AS user_secret_detection_jobs_28_days_user,
      "usage_activity_by_stage_monthly.secure.user_container_scanning_jobs"                     AS user_container_scanning_jobs_28_days_user,
      "object_store.packages.enabled"                                                           AS object_store_packages_enabled,
      "counts.projects_with_packages"                                                           AS projects_with_packages_all_time_event,
      "usage_activity_by_stage_monthly.package.projects_with_packages"                          AS projects_with_packages_28_days_event,
      "usage_activity_by_stage_monthly.release.deployments"                                     AS deployments_28_days_user,
      "usage_activity_by_stage_monthly.release.releases"                                        AS releases_28_days_user,
      "usage_activity_by_stage_monthly.plan.epics"                                              AS epics_28_days_user,
      "usage_activity_by_stage_monthly.plan.issues"                                             AS issues_28_days_user,
      -- Wave 3.1
      "counts.ci_internal_pipelines"                                                            AS ci_internal_pipelines_all_time_event,
      "counts.ci_external_pipelines"                                                            AS ci_external_pipelines_all_time_event,
      "counts.merge_requests"                                                                   AS merge_requests_all_time_event,
      "counts.todos"                                                                            AS todos_all_time_event,
      "counts.epics"                                                                            AS epics_all_time_event,
      "counts.issues"                                                                           AS issues_all_time_event,
      "counts.projects"                                                                         AS projects_all_time_event,
      "counts_monthly.deployments"                                                              AS deployments_28_days_event,
      "counts_monthly.packages"                                                                 AS packages_28_days_event,
      "counts.sast_jobs"                                                                        AS sast_jobs_all_time_event,
      "counts.dast_jobs"                                                                        AS dast_jobs_all_time_event,
      "counts.dependency_scanning_jobs"                                                         AS dependency_scanning_jobs_all_time_event,
      "counts.license_management_jobs"                                                          AS license_management_jobs_all_time_event,
      "counts.secret_detection_jobs"                                                            AS secret_detection_jobs_all_time_event,
      "counts.container_scanning_jobs"                                                          AS container_scanning_jobs_all_time_event,
      "counts.projects_jenkins_active"                                                          AS projects_jenkins_active_all_time_event,
      "counts.projects_bamboo_active"                                                           AS projects_bamboo_active_all_time_event,
      "counts.projects_jira_active"                                                             AS projects_jira_active_all_time_event,
      "counts.projects_drone_ci_active"                                                         AS projects_drone_ci_active_all_time_event,
      "counts.projects_github_active"                                                           AS projects_github_active_all_time_event,
      "counts.projects_jira_server_active"                                                      AS projects_jira_server_active_all_time_event,
      "counts.projects_jira_dvcs_cloud_active"                                                  AS projects_jira_dvcs_cloud_active_all_time_event,
      "counts.projects_with_repositories_enabled"                                               AS projects_with_repositories_enabled_all_time_event,
      "counts.protected_branches"                                                               AS protected_branches_all_time_event,
      "counts.remote_mirrors"                                                                   AS remote_mirrors_all_time_event,
      "usage_activity_by_stage.create.projects_enforcing_code_owner_approval"                   AS projects_enforcing_code_owner_approval_28_days_user,
      "usage_activity_by_stage_monthly.configure.project_clusters_enabled"                      AS project_clusters_enabled_28_days_user,
      "redis_hll_counters.analytics.analytics_total_unique_counts_monthly"                      AS analytics_28_days_user,
      "redis_hll_counters.issues_edit.issues_edit_total_unique_counts_monthly"                  AS issues_edit_28_days_user,
      "redis_hll_counters.user_packages.user_packages_total_unique_counts_monthly"              AS user_packages_28_days_user,
      "redis_hll_counters.terraform.p_terraform_state_api_unique_users_monthly"                 AS terraform_state_api_28_days_user,
      "redis_hll_counters.incident_management.incident_management_total_unique_counts_monthly"  AS incident_management_28_days_user,
      -- Wave 3.2
      "instance_auto_devops_enabled"                                                            AS auto_devops_enabled,
      "gitaly.clusters"                                                                         AS gitaly_clusters_instance,
      "counts.epics_deepest_relationship_level"                                                 AS epics_deepest_relationship_level_instance,
      "counts.clusters_applications_cilium"                                                     AS clusters_applications_cilium_all_time_event,
      "counts.network_policy_forwards"                                                          AS network_policy_forwards_all_time_event,
      "counts.network_policy_drops"                                                             AS network_policy_drops_all_time_event,
      "counts.requirements_with_test_report"                                                    AS requirements_with_test_report_all_time_event,
      "counts.requirement_test_reports_ci"                                                      AS requirement_test_reports_ci_all_time_event,
      "counts.projects_imported_from_github"                                                    AS projects_imported_from_github_all_time_event,
      "counts.projects_jira_cloud_active"                                                       AS projects_jira_cloud_active_all_time_event,
      "counts.projects_jira_dvcs_server_active"                                                 AS projects_jira_dvcs_server_active_all_time_event,
      "counts.service_desk_issues"                                                              AS service_desk_issues_all_time_event,
      "usage_activity_by_stage.verify.ci_pipelines"                                             AS ci_pipelines_all_time_user,
      "usage_activity_by_stage_monthly.plan.service_desk_issues"                                AS service_desk_issues_28_days_user,
      "usage_activity_by_stage_monthly.plan.projects_jira_active"                               AS projects_jira_active_28_days_user,
      "usage_activity_by_stage_monthly.plan.projects_jira_dvcs_cloud_active"                    AS projects_jira_dvcs_cloud_active_28_days_user,
      "usage_activity_by_stage_monthly.plan.projects_jira_dvcs_server_active"                   AS projects_jira_dvcs_server_active_28_days_user,
      "usage_activity_by_stage_monthly.create.merge_requests_with_required_codeowners"          AS merge_requests_with_required_code_owners_28_days_user,
      "redis_hll_counters.analytics.g_analytics_valuestream_monthly"                            AS analytics_value_stream_28_days_event,
      "redis_hll_counters.code_review.i_code_review_user_approve_mr_monthly"                    AS code_review_user_approve_mr_28_days_user,
      "redis_hll_counters.epics_usage.epics_usage_total_unique_counts_monthly"                  AS epics_usage_28_days_user,
      "redis_hll_counters.ci_templates.ci_templates_total_unique_counts_monthly"                AS ci_templates_usage_28_days_event,
      "redis_hll_counters.issues_edit.g_project_management_issue_milestone_changed_monthly"     AS project_management_issue_milestone_changed_28_days_user,
      "redis_hll_counters.issues_edit.g_project_management_issue_iteration_changed_monthly"     AS project_management_issue_iteration_changed_28_days_user,
      -- Wave 5.1
      "usage_activity_by_stage_monthly.create.protected_branches"                               AS protected_branches_28_days_user,
      "redis_hll_counters.analytics.p_analytics_ci_cd_lead_time_monthly"                        AS ci_cd_lead_time_usage_28_days_event,
      "redis_hll_counters.analytics.p_analytics_ci_cd_deployment_frequency_monthly"             AS ci_cd_deployment_frequency_usage_28_days_event,
      "usage_activity_by_stage.create.projects_with_repositories_enabled"                       AS projects_with_repositories_enabled_all_time_user,
      "usage_activity_by_stage_monthly.secure.user_api_fuzzing_jobs"                            AS api_fuzzing_jobs_usage_28_days_user,
      "usage_activity_by_stage_monthly.secure.coverage_fuzzing_pipeline"                        AS coverage_fuzzing_pipeline_usage_28_days_event,
      "usage_activity_by_stage_monthly.secure.api_fuzzing_pipeline"                             AS api_fuzzing_pipeline_usage_28_days_event,
      "usage_activity_by_stage_monthly.secure.container_scanning_pipeline"                      AS container_scanning_pipeline_usage_28_days_event,
      "usage_activity_by_stage_monthly.secure.dependency_scanning_pipeline"                     AS dependency_scanning_pipeline_usage_28_days_event,
      "usage_activity_by_stage_monthly.secure.sast_pipeline"                                    AS sast_pipeline_usage_28_days_event,
      "usage_activity_by_stage_monthly.secure.secret_detection_pipeline"                        AS secret_detection_pipeline_usage_28_days_event,
      "usage_activity_by_stage_monthly.secure.dast_pipeline"                                    AS dast_pipeline_usage_28_days_event,
      "usage_activity_by_stage_monthly.secure.user_coverage_fuzzing_jobs"                       AS coverage_fuzzing_jobs_28_days_user,
      "counts.environments"                                                                     AS environments_all_time_event,
      "counts.feature_flags"                                                                    AS feature_flags_all_time_event,
      "counts_monthly.successful_deployments"                                                   AS successful_deployments_28_days_event,
      "counts_monthly.failed_deployments"                                                       AS failed_deployments_28_days_event,
      "usage_activity_by_stage_monthly.manage.projects_with_compliance_framework"               AS projects_compliance_framework_all_time_event,
      "redis_hll_counters.pipeline_authoring.o_pipeline_authoring_unique_users_committing_ciconfigfile_monthly"  AS commit_ci_config_file_28_days_user,
      "compliance_unique_visits.g_compliance_audit_events"                                      AS view_audit_all_time_user,
      --Wave 5.2
      "usage_activity_by_stage.secure.user_dependency_scanning_jobs"                            AS dependency_scanning_jobs_all_time_user,
      "analytics_unique_visits.i_analytics_dev_ops_adoption"                                    AS analytics_devops_adoption_all_time_user,
      "usage_activity_by_stage.manage.project_imports.total"                                    AS projects_imported_all_time_event,
      "usage_activity_by_stage_monthly.secure.user_preferences_group_overview_security_dashboard"  AS preferences_security_dashboard_28_days_user,
      "usage_activity_by_stage_monthly.create.action_monthly_active_users_ide_edit"             AS web_ide_edit_28_days_user,
      "counts.ci_pipeline_config_auto_devops"                                                   AS auto_devops_pipelines_all_time_event,
      "counts.projects_prometheus_active"                                                       AS projects_prometheus_active_all_time_event,
      "prometheus_enabled"                                                                      AS prometheus_enabled,
      "prometheus_metrics_enabled"                                                              AS prometheus_metrics_enabled,
      "usage_activity_by_stage.manage.group_saml_enabled"                                       AS group_saml_enabled,
      "usage_activity_by_stage.manage.issue_imports.jira"                                       AS jira_issue_imports_all_time_event,
      "usage_activity_by_stage.plan.epics"                                                      AS author_epic_all_time_user,
      "usage_activity_by_stage.plan.issues"                                                     AS author_issue_all_time_user,
      "usage_activity_by_stage_monthly.release.failed_deployments"                              AS failed_deployments_28_days_user,
      "usage_activity_by_stage_monthly.release.successful_deployments"                          AS successful_deployments_28_days_user,
      -- Wave 5.3
      "geo_enabled"                                                                             AS geo_enabled,
      "usage_activity_by_stage_monthly.verify.ci_pipeline_config_auto_devops"                   AS auto_devops_pipelines_28_days_user,
      "counts.ci_runners_instance_type_active"                                                  AS active_instance_runners_all_time_event,
      "counts.ci_runners_group_type_active"                                                     AS active_group_runners_all_time_event,
      "counts.ci_runners_project_type_active"                                                   AS active_project_runners_all_time_event,
      "gitaly.version"::VARCHAR                                                                 AS gitaly_version,
      "gitaly.servers"                                                                          AS gitaly_servers_all_time_event,
      -- Wave 6.0
      "usage_activity_by_stage.secure.api_fuzzing_scans"                                        AS api_fuzzing_scans_all_time_event,
      "usage_activity_by_stage_monthly.secure.api_fuzzing_scans"                                AS api_fuzzing_scans_28_days_event,
      "usage_activity_by_stage.secure.coverage_fuzzing_scans"                                   AS coverage_fuzzing_scans_all_time_event,
      "usage_activity_by_stage_monthly.secure.coverage_fuzzing_scans"                           AS coverage_fuzzing_scans_28_days_event,
      "usage_activity_by_stage.secure.secret_detection_scans"                                   AS secret_detection_scans_all_time_event,
      "usage_activity_by_stage_monthly.secure.secret_detection_scans"                           AS secret_detection_scans_28_days_event,
      "usage_activity_by_stage.secure.dependency_scanning_scans"                                AS dependency_scanning_scans_all_time_event,
      "usage_activity_by_stage_monthly.secure.dependency_scanning_scans"                        AS dependency_scanning_scans_28_days_event,
      "usage_activity_by_stage.secure.container_scanning_scans"                                 AS container_scanning_scans_all_time_event,
      "usage_activity_by_stage_monthly.secure.container_scanning_scans"                         AS container_scanning_scans_28_days_event,
      "usage_activity_by_stage.secure.dast_scans"                                               AS dast_scans_all_time_event,
      "usage_activity_by_stage_monthly.secure.dast_scans"                                       AS dast_scans_28_days_event,
      "usage_activity_by_stage.secure.sast_scans"                                               AS sast_scans_all_time_event,
      "usage_activity_by_stage_monthly.secure.sast_scans"                                       AS sast_scans_28_days_event,
      -- Wave 6.1
      "counts.package_events_i_package_push_package_by_deploy_token"                            AS packages_pushed_registry_all_time_event,
      "counts.package_events_i_package_pull_package_by_guest"                                   AS packages_pulled_registry_all_time_event,
      "redis_hll_counters.compliance.g_compliance_dashboard_monthly"                            AS compliance_dashboard_view_28_days_user,
      "redis_hll_counters.compliance.g_compliance_audit_events_monthly"                         AS audit_screen_view_28_days_user,
      "redis_hll_counters.compliance.i_compliance_audit_events_monthly"                         AS instance_audit_screen_view_28_days_user,
      "redis_hll_counters.compliance.i_compliance_credential_inventory_monthly"                 AS credential_inventory_view_28_days_user,
      "usage_activity_by_stage.manage.compliance_frameworks_with_pipeline"                      AS compliance_frameworks_pipeline_all_time_event,
      "usage_activity_by_stage_monthly.manage.compliance_frameworks_with_pipeline"              AS compliance_frameworks_pipeline_28_days_event,
      "usage_activity_by_stage.manage.groups_with_event_streaming_destinations"                 AS groups_streaming_destinations_all_time_event,
      "usage_activity_by_stage_monthly.manage.groups_with_event_streaming_destinations"         AS groups_streaming_destinations_28_days_event,
      "usage_activity_by_stage.manage.audit_event_destinations"                                 AS audit_event_destinations_all_time_event,
      "usage_activity_by_stage_monthly.manage.audit_event_destinations"                         AS audit_event_destinations_28_days_event,
      "counts.projects_with_external_status_checks"                                             AS projects_status_checks_all_time_event,
      "counts.external_status_checks"                                                           AS external_status_checks_all_time_event,
      "redis_hll_counters.search.i_search_paid_monthly"                                         AS paid_license_search_28_days_user,
      "redis_hll_counters.manage.unique_active_users_monthly"                                   AS last_activity_28_days_user,
      -- Wave 7
      "counts_monthly.snippets"                                                                                             AS snippets_28_days_event,
      "redis_hll_counters.ide_edit.g_edit_by_sfe_monthly"                                                                   AS single_file_editor_28_days_user,
      "redis_hll_counters.code_review.i_code_review_create_mr_monthly"                                                      AS merge_requests_created_28_days_event,
      "redis_hll_counters.code_review.i_code_review_user_create_mr_monthly"                                                 AS merge_requests_created_28_days_user,
      "usage_activity_by_stage_monthly.govern.merged_merge_requests_using_approval_rules_distinct"                          AS merge_requests_approval_rules_28_days_event,
      "usage_activity_by_stage_monthly.manage.custom_compliance_frameworks"                                                 AS custom_compliance_frameworks_28_days_event,
      "usage_activity_by_stage_monthly.govern.distinct_count_project_id_from_security_orchestration_policy_configurations"  AS projects_security_policy_28_days_event,
      "usage_activity_by_stage_monthly.govern.user_merge_requests_for_projects_with_assigned_security_policy_project"       AS merge_requests_security_policy_28_days_user,
      "redis_hll_counters.ci_templates.p_ci_templates_implicit_auto_devops_monthly"                                         AS pipelines_implicit_auto_devops_28_days_event,
      "usage_activity_by_stage_monthly.verify.ci_pipeline_schedules"                                                        AS pipeline_schedules_28_days_user,
      -- Wave 8
      "counts_monthly.ci_internal_pipelines"    AS ci_internal_pipelines_28_days_event,
      -- Data Quality Flag
      IFF(ROW_NUMBER() OVER (PARTITION BY dim_namespace_id ORDER BY reporting_month DESC) = 1,
          TRUE, FALSE)                                                                          AS is_latest_data
    FROM saas_free_users

), unioned AS (

    SELECT *
    FROM sm_free_user_metrics

    UNION ALL

    SELECT *
    FROM saas_free_user_metrics

)

{{ dbt_audit(
    cte_ref="unioned",
    created_by="@snalamaru",
    updated_by="@jpeguero",
    created_date="2021-06-08",
    updated_date="2023-06-22"
) }}
