{{ simple_cte([
    ('dim_crm_person','dim_crm_person')
]) }},

crm_person AS (

  SELECT
    dim_crm_person_id,
    leandata_matched_account_sales_segment,
    employee_bucket,
    COALESCE(
      account_demographics_employee_count,
      zoominfo_company_employee_count,
      cognism_employee_count) AS employee_count,
    person_first_country
  FROM dim_crm_person
), final AS (

SELECT
  dim_crm_person_id,
  CASE
    WHEN LOWER(leandata_matched_account_sales_segment) = 'pubsec' THEN 'PubSec'
    WHEN employee_count >= 1 AND employee_count < 100 THEN 'SMB'
    WHEN employee_count >= 100 AND employee_count < 2000 THEN 'MM'
    WHEN employee_count >= 2000 THEN 'Large'
    ELSE 'Unknown'
  END AS employee_count_segment_custom,
  CASE
    WHEN LOWER(leandata_matched_account_sales_segment) = 'pubsec' THEN 'PubSec'
    WHEN employee_bucket = '1-99' THEN 'SMB'
    WHEN employee_bucket = '100-499' THEN 'MM'
    WHEN employee_bucket = '500-1,999' THEN 'MM'
    WHEN employee_bucket = '2,000-9,999' THEN 'Large'
    WHEN employee_bucket = '10,000+' THEN 'Large'
    ELSE 'Unknown'
  END AS employee_bucket_segment_custom,
  CASE
    WHEN person_first_country = 'afghanistan' THEN 'emea'
    WHEN person_first_country = 'aland islands' THEN 'emea'
    WHEN person_first_country = 'albania' THEN 'emea'
    WHEN person_first_country = 'algeria' THEN 'emea'
    WHEN person_first_country = 'andorra' THEN 'emea'
    WHEN person_first_country = 'angola' THEN 'emea'
    WHEN person_first_country = 'anguilla' THEN 'amer'
    WHEN person_first_country = 'antigua and barbuda' THEN 'amer'
    WHEN person_first_country = 'argentina' THEN 'amer'
    WHEN person_first_country = 'armenia' THEN 'emea'
    WHEN person_first_country = 'aruba' THEN 'amer'
    WHEN person_first_country = 'australia' THEN 'apac'
    WHEN person_first_country = 'austria' THEN 'emea'
    WHEN person_first_country = 'azerbaijan' THEN 'emea'
    WHEN person_first_country = 'bahamas' THEN 'amer'
    WHEN person_first_country = 'bahrain' THEN 'emea'
    WHEN person_first_country = 'bangladesh' THEN 'apac'
    WHEN person_first_country = 'barbados' THEN 'amer'
    WHEN person_first_country = 'belarus' THEN 'emea'
    WHEN person_first_country = 'belgium' THEN 'emea'
    WHEN person_first_country = 'belize' THEN 'amer'
    WHEN person_first_country = 'benin' THEN 'emea'
    WHEN person_first_country = 'bermuda' THEN 'amer'
    WHEN person_first_country = 'bhutan' THEN 'apac'
    WHEN person_first_country = 'bolivia' THEN 'amer'
    WHEN person_first_country = 'bosnia and herzegovina' THEN 'emea'
    WHEN person_first_country = 'bosnia and herzegowina' THEN 'emea'
    WHEN person_first_country = 'botswana' THEN 'emea'
    WHEN person_first_country = 'brazil' THEN 'amer'
    WHEN person_first_country = 'british virgin islands' THEN 'amer'
    WHEN person_first_country = 'brunei darussalam' THEN 'apac'
    WHEN person_first_country = 'bulgaria' THEN 'emea'
    WHEN person_first_country = 'burkina faso' THEN 'emea'
    WHEN person_first_country = 'burundi' THEN 'emea'
    WHEN person_first_country = 'cambodia' THEN 'apac'
    WHEN person_first_country = 'cameroon' THEN 'emea'
    WHEN person_first_country = 'canada' THEN 'amer'
    WHEN person_first_country = 'cape verde' THEN 'emea'
    WHEN person_first_country = 'caribbean netherlands' THEN 'amer'
    WHEN person_first_country = 'cayman islands' THEN 'amer'
    WHEN person_first_country = 'central african republic' THEN 'emea'
    WHEN person_first_country = 'chad' THEN 'emea'
    WHEN person_first_country = 'chile' THEN 'amer'
    WHEN person_first_country = 'china' THEN 'jihu'
    WHEN person_first_country = 'colombia' THEN 'amer'
    WHEN person_first_country = 'comoros' THEN 'emea'
    WHEN person_first_country = 'congo' THEN 'emea'
    WHEN person_first_country = 'cook islands' THEN 'apac'
    WHEN person_first_country = 'costa rica' THEN 'amer'
    WHEN person_first_country LIKE 'cote' AND person_first_country LIKE 'ivoire' THEN 'emea'
    WHEN person_first_country = 'croatia' THEN 'emea'
    WHEN person_first_country = 'cuba' THEN 'amer'
    WHEN person_first_country = 'curacao' THEN 'amer'
    WHEN person_first_country = 'cyprus' THEN 'emea'
    WHEN person_first_country = 'czech republic' THEN 'emea'
    WHEN person_first_country = 'democratic republic of the congo' THEN 'emea'
    WHEN person_first_country = 'denmark' THEN 'emea'
    WHEN person_first_country = 'djibouti' THEN 'emea'
    WHEN person_first_country = 'dominica' THEN 'amer'
    WHEN person_first_country = 'dominican republic' THEN 'amer'
    WHEN person_first_country = 'ecuador' THEN 'amer'
    WHEN person_first_country = 'egypt' THEN 'emea'
    WHEN person_first_country = 'el salvador' THEN 'amer'
    WHEN person_first_country = 'equatorial guinea' THEN 'emea'
    WHEN person_first_country = 'eritrea' THEN 'emea'
    WHEN person_first_country = 'estonia' THEN 'emea'
    WHEN person_first_country = 'eswatini' THEN 'emea'
    WHEN person_first_country = 'ethiopia' THEN 'emea'
    WHEN person_first_country = 'falkland islands' THEN 'amer'
    WHEN person_first_country = 'faroe islands' THEN 'emea'
    WHEN person_first_country = 'fiji' THEN 'apac'
    WHEN person_first_country = 'finland' THEN 'emea'
    WHEN person_first_country = 'france' THEN 'emea'
    WHEN person_first_country = 'french guiana' THEN 'amer'
    WHEN person_first_country = 'french polynesia' THEN 'apac'
    WHEN person_first_country = 'gabon' THEN 'emea'
    WHEN person_first_country = 'gambia' THEN 'emea'
    WHEN person_first_country = 'georgia' THEN 'emea'
    WHEN person_first_country = 'germany' THEN 'emea'
    WHEN person_first_country = 'ghana' THEN 'emea'
    WHEN person_first_country = 'gibraltar' THEN 'emea'
    WHEN person_first_country = 'greece' THEN 'emea'
    WHEN person_first_country = 'greenland' THEN 'emea'
    WHEN person_first_country = 'grenada' THEN 'amer'
    WHEN person_first_country = 'guadeloupe' THEN 'amer'
    WHEN person_first_country = 'guatemala' THEN 'amer'
    WHEN person_first_country = 'guernsey' THEN 'emea'
    WHEN person_first_country = 'guinea' THEN 'emea'
    WHEN person_first_country = 'guinea-bissau' THEN 'emea'
    WHEN person_first_country = 'guyana' THEN 'amer'
    WHEN person_first_country = 'haiti' THEN 'amer'
    WHEN person_first_country = 'honduras' THEN 'amer'
    WHEN person_first_country = 'hungary' THEN 'emea'
    WHEN person_first_country = 'iceland' THEN 'emea'
    WHEN person_first_country = 'india' THEN 'apac'
    WHEN person_first_country = 'indonesia' THEN 'apac'
    WHEN person_first_country = 'iran' THEN 'emea'
    WHEN person_first_country = 'iran' THEN 'emea'
    WHEN person_first_country = 'iran, islamic republic of' THEN 'emea'
    WHEN person_first_country = 'ireland' THEN 'emea'
    WHEN person_first_country = 'isle of man' THEN 'emea'
    WHEN person_first_country = 'israel' THEN 'emea'
    WHEN person_first_country = 'italy' THEN 'emea'
    WHEN person_first_country = 'ivory coast' THEN 'emea'
    WHEN person_first_country LIKE 'côte d' AND person_first_country LIKE 'ivoire' THEN 'emea'
    WHEN person_first_country = 'jamaica' THEN 'amer'
    WHEN person_first_country = 'japan' THEN 'apac'
    WHEN person_first_country = 'jersey' THEN 'emea'
    WHEN person_first_country = 'jordan' THEN 'emea'
    WHEN person_first_country = 'kazakhstan' THEN 'emea'
    WHEN person_first_country = 'kenya' THEN 'emea'
    WHEN person_first_country = 'kosovo' THEN 'emea'
    WHEN person_first_country = 'kuwait' THEN 'emea'
    WHEN person_first_country = 'kyrgyzstan' THEN 'emea'
    WHEN person_first_country LIKE 'lao people' AND person_first_country LIKE 'democratic republic' THEN 'apac'
    WHEN person_first_country = 'latvia' THEN 'emea'
    WHEN person_first_country = 'lebanon' THEN 'emea'
    WHEN person_first_country = 'lesotho' THEN 'emea'
    WHEN person_first_country = 'liberia' THEN 'emea'
    WHEN person_first_country = 'libya' THEN 'emea'
    WHEN person_first_country = 'liechtenstein' THEN 'emea'
    WHEN person_first_country = 'lithuania' THEN 'emea'
    WHEN person_first_country = 'luxembourg' THEN 'emea'
    WHEN person_first_country = 'macao' THEN 'jihu'
    WHEN person_first_country = 'macedonia' THEN 'emea'
    WHEN person_first_country = 'madagascar' THEN 'emea'
    WHEN person_first_country = 'malawi' THEN 'emea'
    WHEN person_first_country = 'malaysia' THEN 'apac'
    WHEN person_first_country = 'maldives' THEN 'apac'
    WHEN person_first_country = 'mali' THEN 'emea'
    WHEN person_first_country = 'malta' THEN 'emea'
    WHEN person_first_country = 'martinique' THEN 'amer'
    WHEN person_first_country = 'mauritania' THEN 'emea'
    WHEN person_first_country = 'mauritius' THEN 'emea'
    WHEN person_first_country = 'mayotte' THEN 'emea'
    WHEN person_first_country = 'mexico' THEN 'amer'
    WHEN person_first_country = 'moldova' THEN 'emea'
    WHEN person_first_country = 'monaco' THEN 'emea'
    WHEN person_first_country = 'mongolia' THEN 'apac'
    WHEN person_first_country = 'montenegro' THEN 'emea'
    WHEN person_first_country = 'montserrat' THEN 'amer'
    WHEN person_first_country = 'morocco' THEN 'emea'
    WHEN person_first_country = 'mozambique' THEN 'emea'
    WHEN person_first_country = 'myanmar' THEN 'apac'
    WHEN person_first_country = 'namibia' THEN 'emea'
    WHEN person_first_country = 'nauru' THEN 'apac'
    WHEN person_first_country = 'nepal' THEN 'apac'
    WHEN person_first_country = 'netherlands' THEN 'emea'
    WHEN person_first_country = 'new caledonia' THEN 'apac'
    WHEN person_first_country = 'new zealand' THEN 'apac'
    WHEN person_first_country = 'nicaragua' THEN 'amer'
    WHEN person_first_country = 'niger' THEN 'emea'
    WHEN person_first_country = 'nigeria' THEN 'emea'
    WHEN person_first_country = 'north macedonia' THEN 'emea'
    WHEN person_first_country = 'norway' THEN 'emea'
    WHEN person_first_country = 'oman' THEN 'emea'
    WHEN person_first_country = 'pakistan' THEN 'emea'
    WHEN person_first_country = 'palestine' THEN 'emea'
    WHEN person_first_country = 'palestine, state of' THEN 'emea'
    WHEN person_first_country = 'panama' THEN 'amer'
    WHEN person_first_country = 'papua new guinea' THEN 'apac'
    WHEN person_first_country = 'paraguay' THEN 'amer'
    WHEN person_first_country = 'peru' THEN 'amer'
    WHEN person_first_country = 'philippines' THEN 'apac'
    WHEN person_first_country = 'poland' THEN 'emea'
    WHEN person_first_country = 'portugal' THEN 'emea'
    WHEN person_first_country = 'puerto rico' THEN 'amer'
    WHEN person_first_country = 'qatar' THEN 'emea'
    WHEN person_first_country = 'reunion' THEN 'emea'
    WHEN person_first_country = 'romania' THEN 'emea'
    WHEN person_first_country = 'russia' THEN 'emea'
    WHEN person_first_country = 'rwanda' THEN 'emea'
    WHEN person_first_country = 'saint helena' THEN 'emea'
    WHEN person_first_country = 'saint kitts and nevis' THEN 'amer'
    WHEN person_first_country = 'saint lucia' THEN 'amer'
    WHEN person_first_country = 'saint martin' THEN 'amer'
    WHEN person_first_country = 'saint vincent and the grenadines' THEN 'amer'
    WHEN person_first_country = 'samoa' THEN 'apac'
    WHEN person_first_country = 'san marino' THEN 'emea'
    WHEN person_first_country = 'sao tome and principe' THEN 'emea'
    WHEN person_first_country = 'saudi arabia' THEN 'emea'
    WHEN person_first_country = 'senegal' THEN 'emea'
    WHEN person_first_country = 'serbia' THEN 'emea'
    WHEN person_first_country = 'seychelles' THEN 'emea'
    WHEN person_first_country = 'sierra leone' THEN 'emea'
    WHEN person_first_country = 'singapore' THEN 'apac'
    WHEN person_first_country = 'sint maarten' THEN 'amer'
    WHEN person_first_country = 'slovakia' THEN 'emea'
    WHEN person_first_country = 'slovenia' THEN 'emea'
    WHEN person_first_country = 'solomon islands' THEN 'apac'
    WHEN person_first_country = 'somalia' THEN 'emea'
    WHEN person_first_country = 'south africa' THEN 'emea'
    WHEN person_first_country = 'south korea' THEN 'apac'
    WHEN person_first_country = 'south sudan' THEN 'emea'
    WHEN person_first_country = 'spain' THEN 'emea'
    WHEN person_first_country = 'españa' THEN 'emea'
    WHEN person_first_country = 'sri lanka' THEN 'apac'
    WHEN person_first_country = 'sudan' THEN 'emea'
    WHEN person_first_country = 'suriname' THEN 'amer'
    WHEN person_first_country = 'swaziland' THEN 'emea'
    WHEN person_first_country = 'sweden' THEN 'emea'
    WHEN person_first_country = 'switzerland' THEN 'emea'
    WHEN person_first_country = 'syria' THEN 'emea'
    WHEN person_first_country = 'taiwan' THEN 'apac'
    WHEN person_first_country = 'taiwan, province of china' THEN 'apac'
    WHEN person_first_country = 'tajikistan' THEN 'emea'
    WHEN person_first_country = 'tanzania' THEN 'emea'
    WHEN person_first_country = 'united republic of tanzania' THEN 'emea'
    WHEN person_first_country = 'thailand' THEN 'apac'
    WHEN person_first_country = 'the netherlands' THEN 'emea'
    WHEN person_first_country = 'timor-leste' THEN 'apac'
    WHEN person_first_country = 'togo' THEN 'emea'
    WHEN person_first_country = 'tonga' THEN 'apac'
    WHEN person_first_country = 'trinidad and tobago' THEN 'amer'
    WHEN person_first_country = 'tunisia' THEN 'emea'
    WHEN person_first_country = 'turkey' THEN 'emea'
    WHEN person_first_country = 'turkmenistan' THEN 'emea'
    WHEN person_first_country = 'turks and caicos islands' THEN 'amer'
    WHEN person_first_country = 'u.s. virgin islands' THEN 'amer'
    WHEN person_first_country = 'uganda' THEN 'emea'
    WHEN person_first_country = 'ukraine' THEN 'emea'
    WHEN person_first_country = 'united arab emirates' THEN 'emea'
    WHEN person_first_country = 'united kingdom' THEN 'emea'
    WHEN person_first_country = 'uruguay' THEN 'amer'
    WHEN person_first_country = 'uzbekistan' THEN 'emea'
    WHEN person_first_country = 'vanuatu' THEN 'apac'
    WHEN person_first_country = 'vatican' THEN 'emea'
    WHEN person_first_country = 'venezuela' THEN 'amer'
    WHEN person_first_country = 'vietnam' THEN 'apac'
    WHEN person_first_country = 'western sahara' THEN 'emea'
    WHEN person_first_country = 'yemen' THEN 'emea'
    WHEN person_first_country = 'zambia' THEN 'emea'
    WHEN person_first_country = 'zimbabwe' THEN 'emea'
    WHEN person_first_country = 'united states' THEN 'amer'
    WHEN person_first_country = 'turks and caicos' THEN 'amer'
    WHEN person_first_country = 'korea, republic of' THEN 'apac'
    WHEN person_first_country LIKE 'lao democratic people' AND person_first_country LIKE 's republic' THEN 'apac'
    WHEN person_first_country = 'macedonia, the former yugoslav republic of' THEN 'emea'
    WHEN person_first_country = 'moldova, republic of' THEN 'emea'
    WHEN person_first_country = 'russian federation' THEN 'emea'
    WHEN person_first_country = 'viet nam' THEN 'apac'
    ELSE 'unknown'
  END AS geo_custom
FROM crm_person
)

{{ dbt_audit(
    cte_ref="final",
    created_by="@rkohnke",
    updated_by="@degan",
    created_date="2022-10-18",
    updated_date="2023-02-13"
) }}
