WITH source AS (

    SELECT
      cost_key                                      AS cost_key,
      atp_key                                       AS atp_key,
      tp_key                                        AS tp_key,
      page_view_key                                 AS page_view_key,
      session_key                                   AS session_key,
      visitor_id                                    AS visitor_id,
      cookie_id                                     AS cookie_id,
      form_submit_key                               AS form_submit_key,
      impression_key                                AS impression_key,
      current_page_key                              AS current_page_key,
      referrer_page_key                             AS referrer_page_key,
      form_page_key                                 AS form_page_key,
      ad_provider_key                               AS ad_provider_key,
      channel_key                                   AS channel_key,
      campaign_key                                  AS campaign_key,
      keyword_key                                   AS keyword_key,
      ad_key                                        AS ad_key,
      ad_group_key                                  AS ad_group_key,
      creative_key                                  AS creative_key,
      site_key                                      AS site_key,
      advertiser_key                                AS advertiser_key,
      ad_account_key                                AS ad_account_key,
      placement_key                                 AS placement_key,
      category_01_key                               AS category_01_key,
      category_02_key                               AS category_02_key,
      category_03_key                               AS category_03_key,
      category_04_key                               AS category_04_key,
      category_05_key                               AS category_05_key,
      category_06_key                               AS category_06_key,
      category_07_key                               AS category_07_key,
      category_08_key                               AS category_08_key,
      category_09_key                               AS category_09_key,
      category_10_key                               AS category_10_key,
      category_11_key                               AS category_11_key,
      category_12_key                               AS category_12_key,
      category_13_key                               AS category_13_key,
      category_14_key                               AS category_14_key,
      category_15_key                               AS category_15_key,
      type                                          AS type,
      date                                          AS date,
      timestamp                                     AS timestamp,
      modified_date                                 AS modified_date,
      cost_in_micro                                 AS cost_in_micro,
      impressions                                   AS impressions,
      clicks                                        AS clicks,
      first_click_percentage                        AS first_click_percentage,
      last_anon_click_percentage                    AS last_anon_click_percentage,
      u_shape_percentage                            AS u_shape_percentage,
      w_shape_percentage                            AS w_shape_percentage,
      full_path_percentage                          AS full_path_percentage,
      custom_model_percentage                       AS custom_model_percentage,
      amount                                        AS amount,
      is_won                                        AS is_won,
      is_opp_closed                                 AS is_opp_closed,
      opportunity_id                                AS opportunity_id,
      opp_created_date                              AS opp_created_date,
      opp_close_date                                AS opp_close_date,
      contact_created_date                          AS contact_created_date,
      contact_id                                    AS contact_id,
      email                                         AS email,
      lead_created_date                             AS lead_created_date,
      lead_id                                       AS lead_id,
      is_aggregatable_cost_ad                       AS is_aggregatable_cost_ad,
      is_aggregatable_cost_advertiser               AS is_aggregatable_cost_advertiser,
      is_aggregatable_cost_ad_account               AS is_aggregatable_cost_ad_account,
      is_aggregatable_cost_ad_group                 AS is_aggregatable_cost_ad_group,
      is_aggregatable_cost_campaign                 AS is_aggregatable_cost_campaign,
      is_aggregatable_cost_channel                  AS is_aggregatable_cost_channel,
      is_aggregatable_cost_creative                 AS is_aggregatable_cost_creative,
      is_aggregatable_cost_keyword                  AS is_aggregatable_cost_keyword,
      is_aggregatable_cost_placement                AS is_aggregatable_cost_placement,
      is_aggregatable_cost_site                     AS is_aggregatable_cost_site,
      is_deleted                                    AS is_deleted,
      currency_id                                   AS currency_id,
      _created_date                                 AS _created_date,
      _modified_date                                AS _modified_date,
      _deleted_date                                 AS _deleted_date
    FROM {{ source('bizible', 'biz_facts') }}
 
)

SELECT *
FROM source

