{{ config(
    tags=["mnpi"]
) }}

WITH source AS (
  SELECT *
  FROM {{ source('gainsight_customer_success','company') }}
),

renamed AS (

  SELECT
    _fivetran_deleted::BOOLEAN                                                                                                    AS _fivetran_deleted,
    _fivetran_synced::TIMESTAMP                                                                                                    AS _fivetran_synced,
    cp_metrics_gc::VARCHAR                                                                                                    AS cp_metrics_gc,
    number_of_stage_adoption_success_plans_gc::NUMBER                                                                                                    AS number_of_stage_adoption_success_plans_gc,
    risk_impact_gc::VARCHAR                                                                                                    AS risk_impact_gc,
    agile_management_tech_gc::VARCHAR                                                                                                    AS agile_management_tech_gc,
    first_value_date_gc::DATE                                                                                                    AS first_value_date_gc,
    newsletters_webinars_and_other_mails_gc::BOOLEAN                                                                                                    AS newsletters_webinars_and_other_mails_gc,
    open_risk_ctas_gc::VARCHAR                                                                                                    AS open_risk_ctas_gc,
    renewal_date_last_ebr_date_gc::NUMBER                                                                                                    AS renewal_date_last_ebr_date_gc,
    cp_time_taken_to_adopt_cp_use_case_gc::VARCHAR                                                                                                    AS cp_time_taken_to_adopt_cp_use_case_gc,
    of_success_plans_gc::NUMBER                                                                                                    AS of_success_plans_gc,
    ci_contract_end_date_gc::DATE                                                                                                    AS ci_contract_end_date_gc,
    growth_potential_arr_gc::FLOAT                                                                                                    AS growth_potential_arr_gc,
    restricted_account_2_gc::VARCHAR                                                                                                    AS restricted_account_2_gc,
    vcc_tech_gc::VARCHAR                                                                                                    AS vcc_tech_gc,
    pte_insights_gc::VARCHAR                                                                                                    AS pte_insights_gc,
    referencable_gc::VARCHAR                                                                                                    AS referencable_gc,
    customer_programs_ab_cohorts_gc::VARCHAR                                                                                                    AS customer_programs_ab_cohorts_gc,
    parent_company::VARCHAR                                                                                                    AS parent_company,
    sfdc_link_gc::VARCHAR                                                                                                    AS sfdc_link_gc,
    cp_why_gitlab_new_gc::VARCHAR                                                                                                    AS cp_why_gitlab_new_gc,
    account_rank_gc::VARCHAR                                                                                                    AS account_rank_gc,
    cloud_native_appetite_for_replacement_gc::VARCHAR                                                                                                    AS cloud_native_appetite_for_replacement_gc,
    create_appetite_for_replacement_gc::VARCHAR                                                                                                    AS create_appetite_for_replacement_gc,
    cp_competition_gc::VARCHAR                                                                                                    AS cp_competition_gc,
    ci_adoption_pilot_gc::VARCHAR                                                                                                    AS ci_adoption_pilot_gc,
    tam_prioritization_number_gc::VARCHAR                                                                                                    AS tam_prioritization_number_gc,
    account_demographics_geo_gc::VARCHAR                                                                                                    AS account_demographics_geo_gc,
    verify_tech_new_gc::VARCHAR                                                                                                    AS verify_tech_new_gc,
    usecase_scm_gc::VARCHAR                                                                                                    AS usecase_scm_gc,
    active_roi_sp_gc::VARCHAR                                                                                                    AS active_roi_sp_gc,
    sfdc_account_id_text_gc::VARCHAR                                                                                                    AS sfdc_account_id_text_gc,
    cp_score_gc::NUMBER                                                                                                    AS cp_score_gc,
    support_level_gc::VARCHAR                                                                                                    AS support_level_gc,
    dev_sec_ops_appetite_for_replacement_gc::VARCHAR                                                                                                    AS dev_sec_ops_appetite_for_replacement_gc,
    of_account_plans_gc::VARCHAR                                                                                                    AS of_account_plans_gc,
    manage_appetite_for_replacement_gc::VARCHAR                                                                                                    AS manage_appetite_for_replacement_gc,
    last_timeline_risk_update_gc::VARCHAR                                                                                                    AS last_timeline_risk_update_gc,
    industry::VARCHAR                                                                                                    AS industry,
    scale_program_opt_out_gc::VARCHAR                                                                                                    AS scale_program_opt_out_gc,
    lam_dev_count_gc::NUMBER                                                                                                    AS lam_dev_count_gc,
    scm_maturity_gc::VARCHAR                                                                                                    AS scm_maturity_gc,
    manage_tech_new_gc::VARCHAR                                                                                                    AS manage_tech_new_gc,
    current_score::VARCHAR                                                                                                    AS current_score,
    merge_gc::VARCHAR                                                                                                    AS merge_gc,
    number_of_roi_objectives_gc::NUMBER                                                                                                    AS number_of_roi_objectives_gc,
    verify_appetite_for_replacement_gc::VARCHAR                                                                                                    AS verify_appetite_for_replacement_gc,
    pte_percent_gc::FLOAT                                                                                                    AS pte_percent_gc,
    ptc_insights_gc::VARCHAR                                                                                                    AS ptc_insights_gc,
    prod_instance_gc::BOOLEAN                                                                                                    AS prod_instance_gc,
    arr::FLOAT                                                                                                    AS arr,
    managed_as::VARCHAR                                                                                                    AS managed_as,
    git_ops_contract_end_date_gc::VARCHAR                                                                                                    AS git_ops_contract_end_date_gc,
    potential_users_verify_gc::NUMBER                                                                                                    AS potential_users_verify_gc,
    last_assignment_date_gc::DATE                                                                                                   AS last_assignment_date_gc,
    is_partner_gc::BOOLEAN                                                                                                    AS is_partner_gc,
    days_in_onboarding_gc::NUMBER                                                                                                    AS days_in_onboarding_gc,
    total_success_plans_gc::NUMBER                                                                                                    AS total_success_plans_gc,
    ptc_percent_gc::FLOAT                                                                                                    AS ptc_percent_gc,
    last_at_risk_update_comments_gc::VARCHAR                                                                                                    AS last_at_risk_update_comments_gc,
    stage::VARCHAR                                                                                                    AS stage,
    count_of_active_subscription_charges_gc::NUMBER                                                                                                    AS count_of_active_subscription_charges_gc,
    licenses_sold_gc::NUMBER                                                                                                    AS licenses_sold_gc,
    customer_advisory_board_cab_gc::BOOLEAN                                                                                                    AS customer_advisory_board_cab_gc,
    triage_issue_url_gc::VARCHAR                                                                                                    AS triage_issue_url_gc,
    deployer_gc::VARCHAR                                                                                                    AS deployer_gc,
    modified_by::VARCHAR                                                                                                    AS modified_by,
    git_lab_issues_link_gc::VARCHAR                                                                                                    AS git_lab_issues_link_gc,
    configure_contract_end_date_gc::VARCHAR                                                                                                    AS configure_contract_end_date_gc,
    use_case_ci_cd_scm_dev_sec_adoption_gc::NUMBER                                                                                                    AS use_case_ci_cd_scm_dev_sec_adoption_gc,
    days_to_first_value_new_gc::NUMBER                                                                                                    AS days_to_first_value_new_gc,
    scale_account_gc::VARCHAR                                                                                                    AS scale_account_gc,
    company_type::VARCHAR                                                                                                    AS company_type,
    number_of_objective_tasks_gc::NUMBER                                                                                                    AS number_of_objective_tasks_gc,
    pub_sec_type_gc::VARCHAR                                                                                                    AS pub_sec_type_gc,
    tam_segment_gc::VARCHAR                                                                                                    AS tam_segment_gc,
    cp_opp_close_date_gc::DATE                                                                                                    AS cp_opp_close_date_gc,
    vcc_contract_end_date_gc::VARCHAR                                                                                                    AS vcc_contract_end_date_gc,
    of_production_instances_gc::NUMBER                                                                                                    AS of_production_instances_gc,
    cd_contract_end_date_gc::VARCHAR                                                                                                    AS cd_contract_end_date_gc,
    cp_date_cp_use_case_turned_green_gc::VARCHAR                                                                                                    AS cp_date_cp_use_case_turned_green_gc,
    pub_sec_owner_gc::VARCHAR                                                                                                    AS pub_sec_owner_gc,
    csat::NUMBER                                                                                                    AS csat,
    overall_score_comments::VARCHAR                                                                                                    AS overall_score_comments,
    ultimate_parent_sfdc_account_id_gc::VARCHAR                                                                                                    AS ultimate_parent_sfdc_account_id_gc,
    open_zendesk_tickets_gc::NUMBER                                                                                                    AS open_zendesk_tickets_gc,
    latest_prod_usage_date_gc::VARCHAR                                                                                                    AS latest_prod_usage_date_gc,
    renewal_date::DATE                                                                                                    AS renewal_date,
    git_ops_appetite_for_replacement_gc::VARCHAR                                                                                                    AS git_ops_appetite_for_replacement_gc,
    days_to_first_engagement_2_gc::VARCHAR                                                                                                    AS days_to_first_engagement_2_gc,
    cp_solution_gc::VARCHAR                                                                                                    AS cp_solution_gc,
    outreach_type_gc::VARCHAR                                                                                                    AS outreach_type_gc,
    account_demographics_region_gc::VARCHAR                                                                                                    AS account_demographics_region_gc,
    account_demographics_role_type_gc::VARCHAR                                                                                                    AS account_demographics_role_type_gc,
    stage_count_gc::NUMBER                                                                                                    AS stage_count_gc,
    monitor_appetite_for_replacement_gc::VARCHAR                                                                                                    AS monitor_appetite_for_replacement_gc,
    primary_use_case_cp_gc::VARCHAR                                                                                                    AS primary_use_case_cp_gc,
    created_by::VARCHAR                                                                                                    AS created_by,
    gs_ingestion_source::VARCHAR                                                                                                    AS gs_ingestion_source,
    last_timeline_activity_gc::DATE                                                                                                    AS last_timeline_activity_gc,
    ci_appetite_for_replacement_gc::VARCHAR                                                                                                    AS ci_appetite_for_replacement_gc,
    cp_associated_score_color_gc::VARCHAR                                                                                                    AS cp_associated_score_color_gc,
    cp_primary_value_driver_gc::VARCHAR                                                                                                    AS cp_primary_value_driver_gc,
    release_appetite_for_replacement_gc::VARCHAR                                                                                                    AS release_appetite_for_replacement_gc,
    csm_sentiment_score_gc::VARCHAR                                                                                                    AS csm_sentiment_score_gc,
    dev_sec_ops_health_gc::VARCHAR                                                                                                    AS dev_sec_ops_health_gc,
    name::VARCHAR                                                                                                    AS name,
    saa_s_or_self_managed_gc::VARCHAR                                                                                                    AS saa_s_or_self_managed_gc,
    nps_last_updated::VARCHAR                                                                                                    AS nps_last_updated,
    employees::NUMBER                                                                                                    AS employees,
    products_purchased_this_account_gc::VARCHAR                                                                                                    AS products_purchased_this_account_gc,
    number_of_roi_success_plans_gc::NUMBER                                                                                                    AS number_of_roi_success_plans_gc,
    scale_tam_gc::VARCHAR                                                                                                    AS scale_tam_gc,
    pte_likely_to_uptier_checkbox_gc::BOOLEAN                                                                                                    AS pte_likely_to_uptier_checkbox_gc,
    package_tech_new_gc::VARCHAR                                                                                                    AS package_tech_new_gc,
    account_demographics_territory_gc::VARCHAR                                                                                                    AS account_demographics_territory_gc,
    secure_tech_new_gc::VARCHAR                                                                                                    AS secure_tech_new_gc,
    ptc_score_value_gc::VARCHAR                                                                                                    AS ptc_score_value_gc,
    zendesk_org_id_gc::VARCHAR                                                                                                    AS zendesk_org_id_gc,
    development_languages_gc::VARCHAR                                                                                                    AS development_languages_gc,
    days_since_onboarding_began_gc::VARCHAR                                                                                                    AS days_since_onboarding_began_gc,
    ultimate_parent_sfdc_account_gc::VARCHAR                                                                                                    AS ultimate_parent_sfdc_account_gc,
    agile_management_appetite_for_replacement_gc::VARCHAR                                                                                                    AS agile_management_appetite_for_replacement_gc,
    summary_string_gc::VARCHAR                                                                                                    AS summary_string_gc,
    account_demographics_region_dropdown_gc::VARCHAR                                                                                                    AS account_demographics_region_dropdown_gc,
    dev_sec_ops_contract_end_date_gc::VARCHAR                                                                                                    AS dev_sec_ops_contract_end_date_gc,
    cp_opp_sfdc_link_gc::VARCHAR                                                                                                    AS cp_opp_sfdc_link_gc,
    summary::VARCHAR                                                                                                    AS summary,
    onboarding_start_date_gc::VARCHAR                                                                                                    AS onboarding_start_date_gc,
    days_to_first_value_gc::VARCHAR                                                                                                    AS days_to_first_value_gc,
    lam_landed_addressable_market_gc::VARCHAR                                                                                                    AS lam_landed_addressable_market_gc,
    configure_appetite_for_replacement_gc::VARCHAR                                                                                                    AS configure_appetite_for_replacement_gc,
    gitlab_admin_gc::VARCHAR                                                                                                    AS gitlab_admin_gc,
    previous_score::VARCHAR                                                                                                    AS previous_score,
    new_account_owner_gc::VARCHAR                                                                                                    AS new_account_owner_gc,
    test_executive_sponsor_gc::VARCHAR                                                                                                    AS test_executive_sponsor_gc,
    public_sector_account_v_2_gc::VARCHAR                                                                                                    AS public_sector_account_v_2_gc,
    configure_tech_new_gc::VARCHAR                                                                                                    AS configure_tech_new_gc,
    architecture_diagram_link_gc::VARCHAR                                                                                                    AS architecture_diagram_link_gc,
    date_since_last_ebr_gc::VARCHAR                                                                                                    AS date_since_last_ebr_gc,
    nps::VARCHAR                                                                                                    AS nps,
    latest_opp_close_date_50_k_gc::VARCHAR                                                                                                    AS latest_opp_close_date_50_k_gc,
    count_of_active_subscriptions_gc::NUMBER                                                                                                    AS count_of_active_subscriptions_gc,
    days_between_ocd_and_onboarding_start_gc::VARCHAR                                                                                                    AS days_between_ocd_and_onboarding_start_gc,
    security_lead_assigned_gc::VARCHAR                                                                                                    AS security_lead_assigned_gc,
    provider_gc::VARCHAR                                                                                                    AS provider_gc,
    penetration_rate_lam_gc::VARCHAR                                                                                                    AS penetration_rate_lam_gc,
    google_doc_notes_gc::VARCHAR                                                                                                    AS google_doc_notes_gc,
    number_of_stage_adoption_tasks_gc::NUMBER                                                                                                    AS number_of_stage_adoption_tasks_gc,
    cloud_native_tech_gc::VARCHAR                                                                                                    AS cloud_native_tech_gc,
    onboarding_end_date_gc::VARCHAR                                                                                                    AS onboarding_end_date_gc,
    dev_ops_contract_end_date_gc::VARCHAR                                                                                                    AS dev_ops_contract_end_date_gc,
    tam_team_gc::VARCHAR                                                                                                    AS tam_team_gc,
    trend::VARCHAR                                                                                                    AS trend,
    domains_gc::VARCHAR                                                                                                    AS domains_gc,
    green_roi_sp_gc::VARCHAR                                                                                                    AS green_roi_sp_gc,
    geo_gc::VARCHAR                                                                                                    AS geo_gc,
    release_tech_new_gc::VARCHAR                                                                                                    AS release_tech_new_gc,
    defend_tech_new_gc::VARCHAR                                                                                                    AS defend_tech_new_gc,
    ci_tech_gc::VARCHAR                                                                                                    AS ci_tech_gc,
    saa_s_or_self_managed_subscription_id_gc::VARCHAR                                                                                                    AS saa_s_or_self_managed_subscription_id_gc,
    tam_first_assigned_date_gc::VARCHAR                                                                                                    AS tam_first_assigned_date_gc,
    federal_account_gc::BOOLEAN                                                                                                    AS federal_account_gc,
    cp_capability_gc::VARCHAR                                                                                                    AS cp_capability_gc,
    air_gapped_required_gc::VARCHAR                                                                                                    AS air_gapped_required_gc,
    number_of_success_plan_objectives_gc::NUMBER                                                                                                    AS number_of_success_plan_objectives_gc,
    dev_ops_tech_gc::VARCHAR                                                                                                    AS dev_ops_tech_gc,
    subscription_actual_gc::VARCHAR                                                                                                    AS subscription_actual_gc,
    usecase_dev_sec_ops_gc::BOOLEAN                                                                                                    AS usecase_dev_sec_ops_gc,
    vcc_appetite_for_replacement_gc::VARCHAR                                                                                                    AS vcc_appetite_for_replacement_gc,
    package_appetite_for_replacement_gc::VARCHAR                                                                                                    AS package_appetite_for_replacement_gc,
    count_of_opportunities_gc::NUMBER                                                                                                    AS count_of_opportunities_gc,
    dev_ops_appetite_for_replacement_gc::VARCHAR                                                                                                    AS dev_ops_appetite_for_replacement_gc,
    account_rank_notes_gc::VARCHAR                                                                                                    AS account_rank_notes_gc,
    lam_gc::VARCHAR                                                                                                    AS lam_gc,
    gsid::VARCHAR                                                                                                    AS gsid,
    enablement_onboarding_programs_gc::BOOLEAN                                                                                                    AS enablement_onboarding_programs_gc,
    status::VARCHAR                                                                                                    AS status,
    onboarding_health_score_gc::VARCHAR                                                                                                    AS onboarding_health_score_gc,
    cd_tech_gc::VARCHAR                                                                                                    AS cd_tech_gc,
    average_nps::VARCHAR                                                                                                    AS average_nps,
    secure_contract_end_date_gc::VARCHAR                                                                                                    AS secure_contract_end_date_gc,
    description_gc::VARCHAR                                                                                                    AS description_gc,
    outreach_uncovered_gc::VARCHAR                                                                                                    AS outreach_uncovered_gc,
    verify_contract_end_date_gc::VARCHAR                                                                                                    AS verify_contract_end_date_gc,
    recent_cadence_call_gc::BOOLEAN                                                                                                    AS recent_cadence_call_gc,
    surveys_gc::VARCHAR                                                                                                    AS surveys_gc,
    ptc_insights_string_gc::VARCHAR                                                                                                    AS ptc_insights_string_gc,
    plan_contract_end_date_gc::VARCHAR                                                                                                    AS plan_contract_end_date_gc,
    pte_insights_string_gc::VARCHAR                                                                                                    AS pte_insights_string_gc,
    customer_slack_channel_gc::VARCHAR                                                                                                    AS customer_slack_channel_gc,
    chorus_notetaker_opt_out_gc::VARCHAR                                                                                                    AS chorus_notetaker_opt_out_gc,
    hosting_gc::VARCHAR                                                                                                    AS hosting_gc,
    of_git_lab_admins_gc::VARCHAR                                                                                                    AS of_git_lab_admins_gc,
    delete_gc::BOOLEAN                                                                                                    AS delete_gc,
    potential_arr_lam_gc::VARCHAR                                                                                                    AS potential_arr_lam_gc,
    tam_manager_name_gc::VARCHAR                                                                                                    AS tam_manager_name_gc,
    parent_sfdc_account_id_gc::VARCHAR                                                                                                    AS parent_sfdc_account_id_gc,
    sfdc_account_id::VARCHAR                                                                                                    AS sfdc_account_id,
    risk_reason_gc::VARCHAR                                                                                                    AS risk_reason_gc,
    create_contract_end_date_gc::VARCHAR                                                                                                    AS create_contract_end_date_gc,
    months_since_last_ebr_gc::VARCHAR                                                                                                    AS months_since_last_ebr_gc,
    website_gc::VARCHAR                                                                                                    AS website_gc,
    ptc_likely_to_downtier_checkbox_gc::BOOLEAN                                                                                                    AS ptc_likely_to_downtier_checkbox_gc,
    executive_sponsor_program_status_gc::VARCHAR                                                                                                    AS executive_sponsor_program_status_gc,
    manage_contract_end_date_gc::VARCHAR                                                                                                    AS manage_contract_end_date_gc,
    csat_last_updated::VARCHAR                                                                                                    AS csat_last_updated,
    account_demographics_business_unit_gc::VARCHAR                                                                                                    AS account_demographics_business_unit_gc,
    usecase_cd_gc::BOOLEAN                                                                                                    AS usecase_cd_gc,
    package_contract_end_date_gc::VARCHAR                                                                                                    AS package_contract_end_date_gc,
    cp_identify_pain_gc::VARCHAR                                                                                                    AS cp_identify_pain_gc,
    plan_tech_new_gc::VARCHAR                                                                                                    AS plan_tech_new_gc,
    account_demographics_geo_dropdown_gc::VARCHAR                                                                                                    AS account_demographics_geo_dropdown_gc,
    logo::VARCHAR                                                                                                    AS logo,
    dev_sec_ops_tech_gc::VARCHAR                                                                                                    AS dev_sec_ops_tech_gc,
    tam_prioritization_gc::VARCHAR                                                                                                    AS tam_prioritization_gc,
    release_contract_end_date_gc::VARCHAR                                                                                                    AS release_contract_end_date_gc,
    original_contract_date::DATE                                                                                                    AS original_contract_date,
    is_a_child_account_gc::NUMBER                                                                                                    AS is_a_child_account_gc,
    green_success_plansaccount_gc::VARCHAR                                                                                                    AS green_success_plansaccount_gc,
    partner_account_gc::BOOLEAN                                                                                                    AS partner_account_gc,
    license_utilization_account_v_2_gc::NUMBER                                                                                                    AS license_utilization_account_v_2_gc,
    modified_date::TIMESTAMP                                                                                                    AS modified_date,
    active_account_plan_sp_gc::BOOLEAN                                                                                                    AS active_account_plan_sp_gc,
    secure_appetite_for_replacement_gc::VARCHAR                                                                                                    AS secure_appetite_for_replacement_gc,
    last_activity_date_gc::VARCHAR                                                                                                    AS last_activity_date_gc,
    cd_appetite_for_replacement_gc::VARCHAR                                                                                                    AS cd_appetite_for_replacement_gc,
    usecase_count_gc::VARCHAR                                                                                                    AS usecase_count_gc,
    scorecard_id::VARCHAR                                                                                                    AS scorecard_id,
    create_tech_new_gc::VARCHAR                                                                                                    AS create_tech_new_gc,
    usecase_ci_gc::BOOLEAN                                                                                                    AS usecase_ci_gc,
    billable_users_gc::NUMBER                                                                                                    AS billable_users_gc,
    number_of_stage_adoption_objectives_gc::NUMBER                                                                                                    AS number_of_stage_adoption_objectives_gc,
    tam_managed_account_type_gc::VARCHAR                                                                                                    AS tam_managed_account_type_gc,
    sales_segment_new_gc::VARCHAR                                                                                                    AS sales_segment_new_gc,
    high_availability_gc::VARCHAR                                                                                                    AS high_availability_gc,
    public_sector_account_gc::BOOLEAN                                                                                                    AS public_sector_account_gc,
    defend_appetite_for_replacement_gc::VARCHAR                                                                                                    AS defend_appetite_for_replacement_gc,
    monitor_tech_new_gc::VARCHAR                                                                                                    AS monitor_tech_new_gc,
    cluster_id::VARCHAR                                                                                                    AS cluster_id,
    pte_score_value_gc::VARCHAR                                                                                                    AS pte_score_value_gc,
    referenceable_customer_gc::VARCHAR                                                                                                    AS referenceable_customer_gc,
    git_ops_tech_gc::VARCHAR                                                                                                    AS git_ops_tech_gc,
    account_demographics_area_gc::VARCHAR                                                                                                    AS account_demographics_area_gc,
    solutions_architect_new_gc::VARCHAR                                                                                                    AS solutions_architect_new_gc,
    first_engagement_date_gc::VARCHAR                                                                                                    AS first_engagement_date_gc,
    last_pitch_date_gc::VARCHAR                                                                                                    AS last_pitch_date_gc,
    development_lead_assigned_gc::VARCHAR                                                                                                    AS development_lead_assigned_gc,
    customer_type_gc::VARCHAR                                                                                                    AS customer_type_gc,
    plan_appetite_for_replacement_gc::VARCHAR                                                                                                    AS plan_appetite_for_replacement_gc,
    of_ctas_gc::VARCHAR                                                                                                    AS of_ctas_gc,
    cp_primary_use_case_gc::VARCHAR                                                                                                    AS cp_primary_use_case_gc,
    number_of_roi_tasks_gc::NUMBER                                                                                                    AS number_of_roi_tasks_gc,
    bo_d_top_50_account_gc::BOOLEAN                                                                                                    AS bo_d_top_50_account_gc,
    primary_value_driver_cp_gc::VARCHAR                                                                                                    AS primary_value_driver_cp_gc,
    authentication_gc::VARCHAR                                                                                                    AS authentication_gc,
    agile_management_contract_end_date_gc::VARCHAR                                                                                                    AS agile_management_contract_end_date_gc,
    created_date::TIMESTAMP                                                                                                    AS created_date,
    cloud_native_contract_end_date_gc::VARCHAR                                                                                                    AS cloud_native_contract_end_date_gc,
    csm::VARCHAR                                                                                                    AS csm,
    monitor_contract_end_date_gc::VARCHAR                                                                                                    AS monitor_contract_end_date_gc,
    technology_stack_gc::VARCHAR                                                                                                    AS technology_stack_gc,
    scale_top_25_gc::VARCHAR                                                                                                    AS scale_top_25_gc,
    manage_appetite_for_replacement_2_gc::VARCHAR                                                                                                    AS manage_appetite_for_replacement_2_gc,
    scale_top_25_yyyyqq_gc::VARCHAR                                                                                                    AS scale_top_25_yyyyqq_gc,
    proposed_renewal_manager_gc::VARCHAR                                                                                                    AS proposed_renewal_manager_gc
  FROM source
)

SELECT *
FROM renamed
