WITH source AS (

    SELECT *
    FROM {{ source('salesforce', 'customer_subscription') }}

), renamed AS (

    SELECT
      account__c                                AS account_id,
      activated_users__c                        AS activated_user_count,
      admin_phoenix_status__c                   AS admin_phoenix_status,  
      bpo_renewal_status__c                     AS bpo_renewal_status,
      closed_lost_renewal__c                    AS closed_lost_renewal_id,
      createdbyid                               AS created_by_id,
      createddate                               AS created_date,
      current_renewal_created_by__c             AS current_renewal_created_by,
      current_subscription_carr__c              AS current_subscription_carr,
      current_subscription_status__c            AS current_subscription_status,
      current_term_end_date__c                  AS current_term_end_date,
      current_term_start_date__c                AS current_term_start_date,
      current_zuora_subscription__c             AS current_zuora_subscription,
      current_zuora_sub_id__c                   AS current_zuora_subscription_id,
      customer_subscription_count__c            AS customer_subscription_count,
      entitled_seats__c                         AS entitled_seats,
      estimated_overage_amount__c               AS estimated_overage_amount,
      hosting_type__c                           AS hosting_type,
      id                                        AS customer_subscription_id,
      isdeleted                                 AS is_deleted,
      lastmodifiedbyid                          AS last_modified_by_id,
      lastmodifieddate                          AS last_modified_date,
      license_usage_report_date__c              AS license_usage_report_date,
      linkage_problem__c                        AS is_linkage_problem,
      name                                      AS name,
      ownerid                                   AS owner_id,
      plan_name__c                              AS plan_name,
      renewal_finder_skip__c                    AS is_renewal_finder_skip,
      renewal_finder_story__c                   AS renewal_finder_story,
      renewal_opportunity_trigger__c            AS is_renewal_opportunity_trigger,
      seat_price__c                             AS seat_price,
      subscription_train_car__c                 AS is_subscription_train_car,
      subscription_type__c                      AS subscription_type,
      systemmodstamp                            AS system_mod_stamp,
      x14_days_past_end_date__c                 AS is_x14_days_past_end_date,
      zuora_original_subscription_id__c         AS zuora_original_subscription_id,
      zuora_subscription_id_history__c          AS zuora_subscription_id_history,
      zuora_sub_quote_type__c                   AS zuora_sub_quote_type,
      _sdc_batched_at                           AS _sdc_batched_at,
      _sdc_extracted_at                         AS _sdc_extracted_at,
      _sdc_received_at                          AS _sdc_received_at,
      _sdc_sequence                             AS _sdc_sequence,
      _sdc_table_version                        AS _sdc_table_version,
      current_renewal_arr_basis__c              AS current_renewal_arr_basis,
      current_open_renewal_id__c                AS current_open_renewal_id,
      stamped_arr_basis__c                      AS stamped_arr_basis,
      sub_to_basis_status__c                    AS sub_to_basis_status,
      suppress_update__c                        AS is_suppress_update,
      fy22_entering_arr__c                      AS fy22_entering_arr,
      fy22_entering_plan__c                     AS fy22_entering_plan,
      current_renewal_facts__c                  AS current_renewal_facts,
      open_renewal_created_by__c                AS open_renewal_created_by,
      temp_webstore_renewal_issue_status__c     AS temp_webstore_renewal_issue_status,
      renewal_status__c                         AS renewal_status,
      current_open_renewal_close_date__c        AS current_open_renewal_close_date,
      current_open_renewal_start_date__c        AS current_open_renewal_start_date,
      churn_status__c                           AS churn_status_,
      churn_opp_basis__c                        AS churn_opp_basis,
      pause_auto_renewal__c                     AS is_pause_auto_renewal,    
      super_sonics_toggle_result__c             AS super_sonics_toggle_result,
      pause_seat_reconciliation__c              AS is_pause_seat_reconciliation,
      subscription_reviewed__c                  AS subscription_reviewed,
      annualized_seat_price__c                  AS annualized_seat_price,
      product_tier_name_short__c                AS product_tier_name_short,
      billable_users__c                         AS billable_users,
      gs_time_to_first_10__c                    AS gs_time_to_first_10,
      gs_time_to_first_80__c                    AS gs_time_to_first_80,
      gs_time_to_first_ci__c                    AS gs_time_to_first_ci,
      gs_time_to_first_scm__c                   AS gs_time_to_first_scm,
      gs_time_to_first_dsc__c                   AS gs_time_to_first_dsc,
      gs_time_to_first_50__c                    AS gs_time_to_first_50,
      current_zuora_sub_version__c              AS current_zuora_sub_version,
      current_renewal_net_arr__c                AS current_renewal_net_arr,
      admin_double_linkage__c                   AS admin_double_linkage,
      next_chained_subscription__c              AS next_chained_subscription,
      estimated_underutilized_amount__c         AS estimated_underutilized_amount,
      utilization__c                            AS utilization,
      underutilized_seats__c                    AS underutilized_seats
    
    FROM source
)

SELECT *
FROM renamed
