{{ config(
    tags=["mnpi"]
) }}

WITH source AS (

    SELECT *
    FROM {{ source('salesforce', 'zqu_quote') }}

), renamed AS (

    SELECT
      id::VARCHAR                                            AS zqu_quote_id,
      quote_id_18__c::VARCHAR                                AS quote_id_18,
      quote_id__c::VARCHAR                                   AS quote_id,
      account_id__c::VARCHAR                                 AS account_id,
      opportunity_id__c::VARCHAR                             AS opportunity_id,

      invoice_number__c::VARCHAR                             AS invoice_number,
      admin_primary_backfill__c::BOOLEAN                     AS admin_primary_backfill,
      approval_stage_fmt__c::VARCHAR                         AS approval_stage_fmt,
      approval_stage__c::VARCHAR                             AS approval_stage,
      asm__c::VARCHAR                                        AS asm,
      bill_to_address_1__c::VARCHAR                          AS bill_to_address_1,
      bill_to_address_2__c::VARCHAR                          AS bill_to_address_2,
      bill_to_contact_updated__c::BOOLEAN                    AS bill_to_contact_updated,
      bill_to_country__c::VARCHAR                            AS bill_to_country,
      bill_to_email_address__c::VARCHAR                      AS bill_to_email_address,
      bill_to_phone__c::VARCHAR                              AS bill_to_phone,
      calculated_discount__c::FLOAT                          AS calculated_discount,
      charge_summary_sub_total__c::FLOAT                     AS charge_summary_sub_total,
      click_through_eula_contract_language__c::VARCHAR       AS click_through_eula_contract_language,
      delta_arr__c::FLOAT                                    AS delta_arr,
      distributor__c::VARCHAR                                AS distributor,
      gitlab_privacy_url__c::VARCHAR                         AS gitlab_privacy_url,
      has_githost_cb__c::BOOLEAN                             AS has_githost_cb,
      has_invoice_owner__c::FLOAT                            AS has_invoice_owner,
      invoice_paid__c::BOOLEAN                               AS invoice_paid,
      key_assumptions__c::VARCHAR                            AS key_assumptions,
      mailing_street__c::VARCHAR                             AS mailing_street,
      name::VARCHAR                                          AS zqu_quote_name,
      nrv_roll_up__c::FLOAT                                  AS nrv_roll_up,
      opportunity_amount__c::FLOAT                           AS opportunity_amount,
      opportunity_stage__c::VARCHAR                          AS opportunity_stage,
      quote_amendment_last_modified_date__c::TIMESTAMP_TZ    AS quote_amendment_last_modified_date,
      quote_opportunity_amount_match__c::VARCHAR             AS quote_opportunity_amount_match,
      quote_rateplan_last_updated_time__c::TIMESTAMP_TZ      AS quote_rateplan_last_updated_time,
      ra_use_primary_quote__c::BOOLEAN                       AS ra_use_primary_quote,
      required_approvals_from_vp_of_sales_rd__c::VARCHAR     AS required_approvals_from_vp_of_sales_rd,
      resellerbilltostateprovince__c::VARCHAR                AS reseller_bill_to_state_province,
      bill_to_country_code__c::VARCHAR                       AS bill_to_country_code,
      bill_to_postal_code__c::VARCHAR                        AS bill_to_postal_code,
      clickthrougheularequired__c::VARCHAR                   AS click_through_eula_required,
      createdbyfirstname__c::VARCHAR                         AS created_by_first_name,
      invoice_owner_account_type__c::VARCHAR                 AS invoice_owner_account_type,
      invoice_owner_vat_id__c::VARCHAR                       AS invoice_owner_vat_id,
      invoice_paid_date__c::TIMESTAMP_TZ                     AS invoice_paid_date,
      max_premium_discount_2__c::FLOAT                       AS max_premium_discount_2,
      mrr_rollup__c::FLOAT                                   AS mrr_rollup,
      partner_registered__c::VARCHAR                         AS partner_registered,
      professional_services_amount__c::FLOAT                 AS professional_services_amount,
      bill_to_city__c::VARCHAR                               AS bill_to_city,
      bill_to_contact_info_updated__c::VARCHAR               AS bill_to_contact_info_updated,
      bill_to_initial_source__c::VARCHAR                     AS bill_to_initial_source,
      bill_to_street__c::VARCHAR                             AS bill_to_street,
      count_of_rate_plans__c::FLOAT                          AS count_of_rate_plans,
      createddate::TIMESTAMP_TZ                              AS created_date,
      entity_bank_information__c::VARCHAR                    AS entity_bank_information,
      invoiceownerpaymentterms__c::FLOAT                     AS invoice_owner_payment_terms,
      license_amount_v2__c::FLOAT                            AS license_amount_v2,
      partner_assisted__c::VARCHAR                           AS partner_assisted,
      previous_renewal_term__c::FLOAT                        AS previous_renewal_term,
      quote_end_date__c::TIMESTAMP_TZ                        AS quote_end_date,
      quote_entity_beneficiary_information__c::VARCHAR       AS quote_entity_beneficiary_information,
      quote_entity_legal_name__c::VARCHAR                    AS quote_entity_legal_name,
      resellerbilltocity__c::VARCHAR                         AS reseller_bill_to_city,
      bill_to_name__c::VARCHAR                               AS bill_to_name,
      bill_to_state__c::VARCHAR                              AS bill_to_state,
      change_sold_to_contact__c::VARCHAR                     AS change_sold_to_contact,
      createdbyemailaddress__c::VARCHAR                      AS created_by_email_address,
      entity_contact_information__c::VARCHAR                 AS entity_contact_information,
      has_githost__c::FLOAT                                  AS has_githost,
      invoice_amount__c::FLOAT                               AS invoice_amount,
      new_sub_on_addon_renewal_approved__c::BOOLEAN          AS new_sub_on_addon_renewal_approved,
      non_standard_contract_terms__c::VARCHAR                AS non_standard_contract_terms,
      ownerid::VARCHAR                                       AS owner_id,
      partner_fulfillment__c::VARCHAR                        AS partner_fulfillment,
      po_required__c::BOOLEAN                                AS po_required,
      professional_services_description__c::VARCHAR          AS professional_services_description,
      pub_sec_owner__c::VARCHAR                              AS pub_sec_owner,
      quote_amendment_count__c::FLOAT                        AS quote_amendment_count,
      quote_entity_contact_information__c::VARCHAR           AS quote_entity_contact_information,
      rate_plans__c::VARCHAR                                 AS rate_plans,
      rd__c::VARCHAR                                         AS rd,
      recordtypeid::VARCHAR                                  AS record_type_id,
      required_approvals_from_asm__c::VARCHAR                AS required_approvals_from_asm,
      invoice_owner_country__c::VARCHAR                      AS invoice_owner_country,
      purchase_order__c::VARCHAR                             AS purchase_order,
      required_approvals_from_ceo__c::VARCHAR                AS required_approvals_from_ceo,
      entity_beneficiary_information__c::VARCHAR             AS entity_beneficiary_information,
      highest_quote_rate_plan__c::VARCHAR                    AS highest_quote_rate_plan,
      quote_entity_override__c::BOOLEAN                      AS quote_entity_override,
      renewal_mrr__c::FLOAT                                  AS renewal_mrr,
      quote_tcv__c::FLOAT                                    AS quote_tcv,
      required_approvals_from_cfo__c::VARCHAR                AS required_approvals_from_cfo,
      required_approvals_from_cs__c::VARCHAR                 AS required_approvals_from_cs,
      required_approvals_from_legal__c::VARCHAR              AS required_approvals_from_legal,
      required_approvals_from_vp_of_channel__c::VARCHAR      AS required_approvals_from_vp_of_channel,
      requires_deal_desk_review__c::BOOLEAN                  AS requires_deal_desk_review,
      resellerbilltocountry__c::VARCHAR                      AS reseller_bill_to_country,
      resellerbilltopostalcode__c::VARCHAR                   AS reseller_bill_to_postal_code,
      resellerbilltostreet__c::VARCHAR                       AS reseller_bill_to_street,
      click_through_eula_test__c::VARCHAR                    AS click_through_eula_test,
      gitlab_terms_url__c::VARCHAR                           AS gitlab_terms_url,
      invoice_owner_account_id__c::VARCHAR                   AS invoice_owner_account_id,
      project_scope__c::VARCHAR                              AS project_scope,
      quote_entity_bank_information__c::VARCHAR              AS quote_entity_bank_information,
      quote_entity_check_remittance__c::VARCHAR              AS quote_entity_check_remittance,
      quote_entity__c::VARCHAR                               AS quote_entity,
      required_approvals_from_cro__c::VARCHAR                AS required_approvals_from_cro,
      resellerbilltoemail__c::VARCHAR                        AS reseller_bill_to_email,
      resellerbilltofirstname__c::VARCHAR                    AS reseller_bill_to_first_name,
      resellerbilltolastname__c::VARCHAR                     AS reseller_bill_to_last_name,
      resellerbilltophone__c::VARCHAR                        AS reseller_bill_to_phone,
      reseller_bill_to__c::VARCHAR                           AS reseller_bill_to,
      license_amount__c::FLOAT                               AS license_amount,
      required_approvals_from_rd__c::VARCHAR                 AS required_approvals_from_rd,
      reseller_account_name__c::VARCHAR                      AS reseller_account_name,
      reseller_po_status__c::VARCHAR                         AS reseller_po_status,
      saas_addendum_existing_agreement_lang__c::VARCHAR      AS saas_addendum_existing_agreement_lang,
      send_githost_email_to_support__c::BOOLEAN              AS send_githost_email_to_support,
      sold_to_address_2__c::VARCHAR                          AS sold_to_address_2,
      sold_to_city__c::VARCHAR                               AS sold_to_city,
      sold_to_contact_updated__c::BOOLEAN                    AS sold_to_contact_updated,
      sold_to_country_code__c::VARCHAR                       AS sold_to_country_code,
      sold_to_country__c::VARCHAR                            AS sold_to_country,
      sold_to_email_address__c::VARCHAR                      AS sold_to_email_address,
      sold_to_email__c::VARCHAR                              AS sold_to_email,
      sold_to_name__c::VARCHAR                               AS sold_to_name,
      sold_to_phone__c::VARCHAR                              AS sold_to_phone,
      sold_to_state__c::VARCHAR                              AS sold_to_state,
      start_date_vs_close_date__c::FLOAT                     AS start_date_vs_close_date,
      submitter_comments__c::VARCHAR                         AS submitter_comments,
      subscription_agreement_effective_date_ca__c::VARCHAR   AS subscription_agreement_effective_date_ca,
      subscription_agreement_effective_date__c::TIMESTAMP_TZ AS subscription_agreement_effective_date,
      tax_exempt_checkbox__c::BOOLEAN                        AS tax_exempt_checkbox,
      tcv_including_discount__c::FLOAT                       AS tcv_including_discount,
      total_partner_discount__c::FLOAT                       AS total_partner_discount,
      trigger_workflow__c::BOOLEAN                           AS trigger_workflow,
      true_up_amount__c::FLOAT                               AS true_up_amount,
      vat_tax_id__c::VARCHAR                                 AS vat_tax_id,
      vp_of_sales__c::VARCHAR                                AS vp_of_sales,
      wip_arr_iacv_delta__c::FLOAT                           AS wip_arr_iacv_delta,
      x_trigger_quote_approval_check__c::BOOLEAN             AS x_trigger_quote_approval_check,
      reseller_type__c::VARCHAR                              AS reseller_type,
      sold_to_address_1__c::VARCHAR                          AS sold_to_address_1,
      sold_to_contact_is_null__c::BOOLEAN                    AS sold_to_contact_is_null,
      sold_to_initial_source__c::VARCHAR                     AS sold_to_initial_source,
      sold_to_postal_code__c::VARCHAR                        AS sold_to_postal_code,
      subscription_agreement_id__c::VARCHAR                  AS subscription_agreement_id,
      systemmodstamp::TIMESTAMP_TZ                           AS system_mod_stamp,
      task_schedule__c::VARCHAR                              AS task_schedule,
      watch_quote__c::BOOLEAN                                AS watch_quote,
      sold_to_contact_info_updated__c::VARCHAR               AS sold_to_contact_info_updated,
      subscription_agreement_amendments__c::VARCHAR          AS subscription_agreement_amendments,
      zqu__account__c::VARCHAR                               AS zqu__account,
      zqu__applycreditbalance__c::BOOLEAN                    AS zqu__apply_credit_balance,
      zqu__billingbatch__c::VARCHAR                          AS zqu__billing_batch,
      zqu__billingmethod__c::VARCHAR                         AS zqu__billing_method,
      zqu__billtocontact__c::VARCHAR                         AS zqu__bill_to_contact,
      zqu__cancellationdate__c::TIMESTAMP_TZ                 AS zqu_cancellation_date,
      zqu__cancellationeffectivedate__c::VARCHAR             AS zqu__cancellation_effective_date,
      zqu__certificate_id__c::VARCHAR                        AS zqu__certificate_id,
      zqu__certificate_type__c::VARCHAR                      AS zqu__certificate_type,
      zqu__company_code__c::VARCHAR                          AS zqu__company_code,
      zqu__currency__c::VARCHAR                              AS zqu__currency,
      zqu__deltatcv__c::FLOAT                                AS zqu__delta_tcv,
      zqu__electronicpaymentmethodid__c::VARCHAR             AS zqu__electronic_payment_method_id,
      zqu__existingproductsstored__c::BOOLEAN                AS zqu__existing_products_stored,
      zqu__existsubscriptionid__c::VARCHAR                   AS zqu__exist_subscription_id,
      zqu__generateinvoice__c::BOOLEAN                       AS zqu__generate_invoice,
      zqu__hidden_subscription_name__c::VARCHAR              AS zqu__hidden_subscription_name,
      zqu__initialterm__c::FLOAT                             AS zqu__initial_term,
      zqu__invoiceownerid__c::VARCHAR                        AS zqu__invoice_owner_id,
      zqu__invoiceownername__c::VARCHAR                      AS zqu__invoice_owner_name,
      zqu__amendment_name__c::VARCHAR                        AS zqu__amendment_name,
      zqu__approvalstatus__c::VARCHAR                        AS zqu__approval_status,
      zqu__calculate_quote_metrics_through__c::VARCHAR       AS zqu__calculate_quote_metrics_through,
      zqu__communicationprofile__c::VARCHAR                  AS zqu__communication_profile,
      zqu__description__c::VARCHAR                           AS zqu__description,
      zqu__invoiceprocessingoption__c::VARCHAR               AS zqu__invoice_processing_option,
      zqu__invoiceseparately__c::BOOLEAN                     AS zqu__invoice_separately,
      zqu__is_charge_expired__c::BOOLEAN                     AS zqu__is_charge_expired,
      zqu__is_parent_quote__c::BOOLEAN                       AS zqu__is_parent_quote,
      zqu__mrr__c::FLOAT                                     AS zqu__mrr,
      zqu__number__c::VARCHAR                                AS zqu__number,
      zqu__paymentgateway__c::VARCHAR                        AS zqu__payment_gateway,
      zqu__paymentmethod__c::VARCHAR                         AS zqu__payment_method,
      zqu__paymentterm__c::VARCHAR                           AS zqu__payment_term,
      zqu__previewed_delta_tcv__c::FLOAT                     AS zqu__previewed_delta_tcv,
      zqu__previewed_mrr__c::FLOAT                           AS zqu__previewed_mrr,
      zqu__previewed_subtotal__c::FLOAT                      AS zqu__previewed_subtotal,
      zqu__primary__c::BOOLEAN                               AS zqu__primary,
      zqu__processpayment__c::BOOLEAN                        AS zqu__process_payment,
      zqu__quotebusinesstype__c::VARCHAR                     AS zqu__quote_business_type,
      zqu__quotetemplate__c::VARCHAR                         AS zqu__quote_template,
      zqu__recordreadonly__c::BOOLEAN                        AS zqu__record_read_only,
      zqu__renewaltermperiodtype__c::VARCHAR                 AS zqu__renewal_term_period_type,
      zqu__soldtocontact__c::VARCHAR                         AS zqu__sold_to_contact,
      zqu__status__c::VARCHAR                                AS zqu__status,
      zqu__subscriptiontermenddate__c::TIMESTAMP_TZ          AS zqu__subscription_term_end_date,
      zqu__subscriptiontermstartdate__c::TIMESTAMP_TZ        AS zqu__subscription_term_start_date,
      zqu__subscriptiontype__c::VARCHAR                      AS zqu__subscriptiontype,
      zqu__subscription_name__c::VARCHAR                     AS zqu__subscription_name,
      zqu__subscription_term_type__c::VARCHAR                AS zqu__subscription_term_type,
      zqu__taxexempteffectivedate__c::TIMESTAMP_TZ           AS zqu__tax_exempt_effective_date,
      zqu__taxexemptexpirationdate__c::TIMESTAMP_TZ          AS zqu__tax_exempt_expiration_date,
      zqu__terms__c::VARCHAR                                 AS zqu__terms,
      zqu__zuoraentityid__c::VARCHAR                         AS zqu__zuora_entity_id,
      zqu__zuora_account_number__c::VARCHAR                  AS zqu__zuora_account_number,
      zqu__autorenew__c::BOOLEAN                             AS zqu__auto_renew,
      zqu__deltamrr__c::FLOAT                                AS zqu__delta_mrr,
      zqu__initialtermperiodtype__c::VARCHAR                 AS zqu__initial_term_period_type,
      zqu__invoicetemplate__c::VARCHAR                       AS zqu__invoice_template,
      zqu__issuing_jurisdiction__c::VARCHAR                  AS zqu__issuing_jurisdiction,
      zqu__opportunity__c::VARCHAR                           AS zqu__opportunity,
      zqu__previewed_delta_mrr__c::FLOAT                     AS zqu__previewed_delta_mrr,
      zqu__previewed_discount__c::FLOAT                      AS zqu__previewed_discount,
      zqu__previewed_tax__c::FLOAT                           AS zqu__previewed_tax,
      zqu__previewed_tcv__c::FLOAT                           AS zqu__previewed_tcv,
      zqu__previewed_total__c::FLOAT                         AS zqu__previewed_total,
      zqu__renewalsetting__c::VARCHAR                        AS zqu__renewal_setting,
      zqu__renewalterm__c::FLOAT                             AS zqu__renewal_term,
      zqu__startdate__c::TIMESTAMP_TZ                        AS zqu__start_date,
      zqu__subscriptionversion__c::FLOAT                     AS zqu__subscription_version,
      zqu__tax_exempt_description__c::VARCHAR                AS zqu__tax_exempt_description,
      zqu__tax_exempt__c::VARCHAR                            AS zqu__tax_exempt,
      zqu__tcv__c::FLOAT                                     AS zqu__tcv,
      zqu__termstartdate__c::TIMESTAMP_TZ                    AS zqu__term_start_date,
      zqu__total__c::FLOAT                                   AS zqu__total,
      zqu__validuntil__c::TIMESTAMP_TZ                       AS zqu__valid_until,
      zqu__vat_id__c::VARCHAR                                AS zqu__vat_id,
      zqu__zuorasubscriptionid__c::VARCHAR                   AS zqu__zuora_subscription_id,
      zqu__billcycleday__c::VARCHAR                          AS zqu__bill_cycle_day,
      zqu__billingcycleday__c::VARCHAR                       AS zqu__billing_cycle_day,
      zqu__zuoraaccountid__c::VARCHAR                        AS zqu__zuora_account_id,

      --metadata
      createdbyid::VARCHAR                                   AS created_by_id,
      createdbylastname__c::VARCHAR                          AS created_by_lastname,
      createdbyphone__c::VARCHAR                             AS created_by_phone,
      lastmodifiedbyid::VARCHAR                              AS last_modified_by_id,
      lastactivitydate::TIMESTAMP_TZ                         AS last_activity_date,
      lastmodifieddate::TIMESTAMP_TZ                         AS last_modified_date,
      NULL                           AS last_viewed_date,
      NULL                       AS last_referenced_date,
      isdeleted::BOOLEAN                                     AS is_deleted,
      _sdc_extracted_at::TIMESTAMP_TZ                        AS sdc_extracted_at,
      _sdc_received_at::TIMESTAMP_TZ                         AS sdc_received_at,
      _sdc_batched_at::TIMESTAMP_TZ                          AS sdc_batched_at,
      _sdc_sequence::NUMBER                                  AS sdc_sequence,
      _sdc_table_version::NUMBER                             AS sdc_table_version

    FROM source
)

SELECT *
FROM renamed
