WITH source AS (

  SELECT *
  FROM {{ source('xactly', 'xc_comp_order_item') }}

),

renamed AS (

  SELECT

    comp_order_item_id::FLOAT AS comp_order_item_id,
    version::FLOAT AS version,
    is_active::VARCHAR AS is_active,
    item_code::VARCHAR AS item_code,
    line_number::FLOAT AS line_number,
    amount::FLOAT AS amount,
    amount_unit_type_id::FLOAT AS amount_unit_type_id,
    amount_pct::FLOAT AS amount_pct,
    incentive_date::VARCHAR AS incentive_date,
    period_id::FLOAT AS period_id,
    order_date::VARCHAR AS order_date,
    source_id::FLOAT AS source_id,
    order_type_id::FLOAT AS order_type_id,
    is_processed::VARCHAR AS is_processed,
    discount::FLOAT AS discount,
    quantity::FLOAT AS quantity,
    product_id::FLOAT AS product_id,
    product_name::VARCHAR AS product_name,
    customer_id::FLOAT AS customer_id,
    customer_name::VARCHAR AS customer_name,
    geography_id::FLOAT AS geography_id,
    geography_name::VARCHAR AS geography_name,
    upload_id::FLOAT AS upload_id,
    batch_number::FLOAT AS batch_number,
    batch_id::FLOAT AS batch_id,
    batch_name::VARCHAR AS batch_name,
    related_order_code::VARCHAR AS related_order_codes,
    related_item_code::VARCHAR AS related_item_code,
    related_item_id::FLOAT AS related_item_id,
    order_code::VARCHAR AS order_code,
    descr::VARCHAR AS descr,
    item_status::VARCHAR AS item_status,
    status_date::VARCHAR AS status_date,
    splt_amt_pct_total::FLOAT AS splt_amt_pct_total,
    invoice__date::VARCHAR AS invoice_date,
    subscription__start__date::VARCHAR AS subscription_start_date,
    subscription__end__date::VARCHAR AS subscription_end_date,
    stage::VARCHAR AS stage,
    opportunity__name::VARCHAR AS opportunity_name,
    invoice__entity::VARCHAR AS invoice_entity,
    invoice__number::VARCHAR AS invoice_number,
    prevent__rolling::VARCHAR AS prevent_rolling,
    partner__deal__type::VARCHAR AS partner_deal_type,
    partner__engagement::VARCHAR AS partner_engagement,
    account__territory::VARCHAR AS account_territory,
    product__category::VARCHAR AS product_category,
    sdr__assigned__role::VARCHAR AS sdr_assigned_role,
    initial__source::VARCHAR AS initial_source,
    order__subtype::VARCHAR AS order_subtype,
    region::VARCHAR AS region,
    user__segment::VARCHAR AS user_segment,
    account__owner__team::VARCHAR AS account_owner_team,
    sa__team::VARCHAR AS sa_team,
    initiative::VARCHAR AS initiative,
    outreach__meeting__type::VARCHAR AS outreach_meeting_type,
    event__disposition::VARCHAR AS event_disposition,
    subject::VARCHAR AS subject,
    iqm__submitted_by__role::VARCHAR AS iqm_submitted_by_role,
    created__by__team::VARCHAR AS created_by_team,
    new__logo__target__account::VARCHAR AS new_logo_target_account,
    deal__path::VARCHAR AS deal_path,
    dr__partner::VARCHAR AS dr_partner,
    bhr_eeid::VARCHAR AS bhr_eeid,
    sqs::VARCHAR AS sqs,
    resale__partner::VARCHAR AS resale_partner,
    type::VARCHAR AS type,
    type__name::VARCHAR AS type_name,
    is__sao::VARCHAR AS is_sao,
    web__portal__purchase::VARCHAR AS web_portal_purchase,
    stamped__opp__owner__user__region::VARCHAR AS stamped_opp_owner_user_region,
    opportunity__category::VARCHAR AS opportunity_category,
    split__partner__type::VARCHAR AS split_partner_type,
    partner__sourced__employee__id::VARCHAR AS partner_sourced_employee_id,
    partner__co_sell__employee__id::VARCHAR AS partner_cosell_employee_id,
    invoice__amount::FLOAT AS invoice_amount,
    channel__neutral__amount::FLOAT AS channel_neutral_amount,
    arr__net__amount::FLOAT AS arr_net_amount,
    arr__growth__amount::FLOAT AS arr_growth_amount,
    true__up__amount::FLOAT AS true_up_amount,
    arr__gross__amount::FLOAT AS arr_gross_amount,
    pio__amount::FLOAT AS pio_amount,
    arr_y2_plus__amount::FLOAT AS arr_y2plus_amount,
    professional__services__amount::FLOAT AS professional_services_amount,
    opportunity__term::FLOAT AS opportunity_term,
    partner__discount::FLOAT AS partner_discount,
    calculated__discount::FLOAT AS calculated_discount,
    channel__neutral__y2_plus__amount::FLOAT AS channel_neutral_y2plus_amount,
    recurring__amount::FLOAT AS recurring_amount,
    non__recurring__amount::FLOAT AS non_recurring_amount,
    commission__adj::FLOAT AS commission_adj,
    stub__iacv::FLOAT AS stub_iacv,
    guarantee__adj::FLOAT AS guarantee_adj,
    arr__basis::FLOAT AS arr_basis,
    won__arr__basis::FLOAT AS won_arr_basis,
    lam__dev__count::FLOAT AS lam_dev_count,
    arr__basis__clari::FLOAT AS arr_basis_clari,
    channel__split__percentage::FLOAT AS channel_split_percentage,
    invoice__amount__unit_type_id::FLOAT AS invoice_amount_unittypeid,
    channel__neutral__amount__unit_type_id::FLOAT AS channel_neutral_amount_unittypeid,
    arr__net__amount__unit_type_id::FLOAT AS arr_net_amount_unittypeid,
    arr__growth__amount__unit_type_id::FLOAT AS arr_growth_amount_unittypeid,
    true__up__amount__unit_type_id::FLOAT AS true_up_amount_unittypeid,
    arr__gross__amount__unit_type_id::FLOAT AS arr_gross_amount_unittypeid,
    pio__amount__unit_type_id::FLOAT AS pio_amount_unittypeid,
    arr_y2_plus__amount__unit_type_id::FLOAT AS arr_y2plus_amount_unittypeid,
    professional__services__amount__unit_type_id::FLOAT AS professional_services_amount_unittypeid,
    opportunity__term__unit_type_id::FLOAT AS opportunity_term_unittypeid,
    partner__discount__unit_type_id::FLOAT AS partner_discount_unittypeid,
    calculated__discount__unit_type_id::FLOAT AS calculated_discount_unittypeid,
    channel__neutral__y2_plus__amount__unit_type_id::FLOAT AS channel_neutral_y2plus_amount_unittypeid,
    recurring__amount__unit_type_id::FLOAT AS recurring_amount_unittypeid,
    non__recurring__amount__unit_type_id::FLOAT AS non_recurring_amount_unittypeid,
    commission__adj__unit_type_id::FLOAT AS commission_adj_unittypeid,
    stub__iacv__unit_type_id::FLOAT AS stub_iacv_unittypeid,
    guarantee__adj__unit_type_id::FLOAT AS guarantee_adj_unittypeid,
    arr__basis__unit_type_id::FLOAT AS arr_basis_unittypeid,
    won__arr__basis__unit_type_id::FLOAT AS won_arr_basis_unittypeid,
    lam__dev__count__unit_type_id::FLOAT AS lam_dev_count_unittypeid,
    arr__basis__clari__unit_type_id::FLOAT AS arr_basis_clari_unittypeid,
    channel__split__percentage__unit_type_id::FLOAT AS channel_split_percentage_unittypeid,
    created_date::VARCHAR AS created_date,
    created_by_id::FLOAT AS created_by_id,
    created_by_name::VARCHAR AS created_by_name,
    modified_date::VARCHAR AS modified_date,
    modified_by_id::FLOAT AS modified_by_id,
    modified_by_name::VARCHAR AS modified_by_name

  FROM source

)

SELECT *
FROM renamed
