WITH source AS (

    SELECT *
    FROM {{ source('zuora', 'order_action') }}

), renamed AS (

    SELECT
      --Primary Keys
      id::VARCHAR                               AS order_action_id,

      --Info
      accountid::VARCHAR                        AS account_id,
      autogenerated::VARCHAR                    AS auto_generated,
      autorenew::VARCHAR                        AS auto_renew,
      billtocontactid::VARCHAR                  AS bill_to_contact_id,
      cancellationeffectivedate::TIMESTAMP_TZ   AS cancellation_effective_date,
      cancellationpolicy::VARCHAR               AS cancellation_policy,
      changereason::VARCHAR                     AS change_reason,
      clearingexistingbilltocontact::VARCHAR    AS clearing_existing_bill_to_contact,
      clearingexistingpaymentterm::VARCHAR      AS clearing_existing_payment_term,
      contracteffectivedate::TIMESTAMP_TZ       AS contract_effective_date,
      createdbyid::VARCHAR                      AS created_by_id,
      createddate::TIMESTAMP_TZ                 AS created_date,
      currentterm::VARCHAR                      AS current_term,
      currenttermperiodtype::VARCHAR            AS current_term_period_type,
      customeracceptancedate::TIMESTAMP_TZ      AS customer_acceptance_date,
      defaultpaymentmethodid::VARCHAR           AS default_payment_method_id,
      effectivepolicy::VARCHAR                  AS effective_policy,
      orderactionbilltoid::VARCHAR              AS order_action_bill_to_id,
      orderid::VARCHAR                          AS order_id,
      parentaccountid::VARCHAR                  AS parent_account_id,
      paymentterm::VARCHAR                      AS payment_term,
      renewalterm::VARCHAR                      AS renewal_term,
      renewaltermperiodtype::VARCHAR            AS renewal_term_period_type,
      renewsetting::VARCHAR                     AS renew_setting,
      sequence::VARCHAR                         AS sequence,
      serviceactivationdate::TIMESTAMP_TZ       AS service_activation_date,
      soldtocontactid::VARCHAR                  AS sold_to_contact_id,
      subscriptionid::VARCHAR                   AS subscription_id,
      subscriptionowneraccountbilltoid::VARCHAR AS subscription_owner_account_bill_to_id,
      subscriptionowneraccountid::VARCHAR       AS subscription_owner_account_id,
      subscriptionowneraccountsoldtoid::VARCHAR AS subscription_owner_account_sold_to_id,
      subscriptionversionamendmentId::VARCHAR   AS amendment_id,
      subtype::VARCHAR                          AS subtype,
      termstartdate::TIMESTAMP_TZ               AS term_start_date,
      termtype::VARCHAR                         AS term_type,
      type::VARCHAR                             AS type,
      updatedbyid::VARCHAR                      AS updated_by_id,
      updateddate::TIMESTAMP_TZ                 AS updated_date

    FROM source

)

SELECT *
FROM renamed