WITH zuora_revenue_revenue_contract_bill AS (

    SELECT *
    FROM {{source('zuora_revenue','zuora_revenue_revenue_contract_bill')}}
    QUALIFY RANK() OVER (PARTITION BY id ORDER BY incr_updt_dt DESC) = 1

), renamed AS (

    SELECT 

      id::VARCHAR                           AS revenue_contract_bill_id,
      rc_id::VARCHAR                        AS revenue_contract_id,
      ext_sll_prc::FLOAT                    AS external_selling_price,
      def_amt::FLOAT                        AS deferred_amount,
      rec_amt::FLOAT                        AS recognized_amount,
      alctbl_xt_prc::FLOAT                  AS allocatable_external_price,
      cstmr_nm::VARCHAR                     AS customer_name,
      invoice_num::VARCHAR                  AS invoice_number,
      invoice_date::DATETIME                AS invoice_date,
      invoice_line_num::VARCHAR             AS invoice_item_number,
      invoice_line_id::VARCHAR              AS invoice_item_id,
      item_num::VARCHAR                     AS item_number,
      bndl_cnfg_id::VARCHAR                 AS bundle_configuration_id,
      invoice_qty::VARCHAR                  AS invoice_quantity,
      start_date::DATETIME                  AS revenue_start_date,
      end_date::DATETIME                    AS revenue_end_date,
      duration::VARCHAR                     AS revenue_amortization_duration,
      ext_lst_prc::VARCHAR                  AS extended_selling_price,
      batch_id::VARCHAR                     AS revenue_contract_batch_id,
      book_id::VARCHAR                      AS book_id,
      curr::VARCHAR                         AS transactional_currency,
      f_cur::VARCHAR                        AS functional_currency,
      f_ex_rate::VARCHAR                    AS functional_exchange_rate,
      g_ex_rate::VARCHAR                    AS reporting_currency_exchange_rate,
      ref_doc_line_id::VARCHAR              AS reference_document_line_id,
      ref_bill_id::VARCHAR                  AS reference__bill_id,
      lt_def_acnt::VARCHAR                  AS long_term_deferred_account,
      def_segments::VARCHAR                 AS deferred_accounting_segment,
      rev_segments::VARCHAR                 AS revenue_accounting_segment,
      atr1::VARCHAR                         AS revenue_contract_bill_attribute_1,
      atr2::VARCHAR                         AS revenue_contract_bill_attribute_2,
      atr3::VARCHAR                         AS revenue_contract_bill_attribute_3,
      atr4::VARCHAR                         AS revenue_contract_bill_attribute_4,
      atr5::VARCHAR                         AS revenue_contract_bill_attribute_5,
      atr6::VARCHAR                         AS revenue_contract_bill_attribute_6,
      atr7::VARCHAR                         AS revenue_contract_bill_attribute_7,
      atr8::VARCHAR                         AS revenue_contract_bill_attribute_8,
      atr9::VARCHAR                         AS revenue_contract_bill_attribute_9,
      atr10::VARCHAR                        AS revenue_contract_bill_attribute_10,
      atr11::VARCHAR                        AS revenue_contract_bill_attribute_11,
      atr12::VARCHAR                        AS revenue_contract_bill_attribute_12,
      atr13::VARCHAR                        AS revenue_contract_bill_attribute_13,
      atr14::VARCHAR                        AS revenue_contract_bill_attribute_14,
      atr15::VARCHAR                        AS revenue_contract_bill_attribute_15,
      atr16::VARCHAR                        AS revenue_contract_bill_attribute_16,
      atr17::VARCHAR                        AS revenue_contract_bill_attribute_17,
      atr18::VARCHAR                        AS revenue_contract_bill_attribute_18,
      atr19::VARCHAR                        AS revenue_contract_bill_attribute_19,
      atr20::VARCHAR                        AS revenue_contract_bill_attribute_20,
      atr21::VARCHAR                        AS revenue_contract_bill_attribute_21,
      atr22::VARCHAR                        AS revenue_contract_bill_attribute_22,
      atr23::VARCHAR                        AS revenue_contract_bill_attribute_23,
      atr24::VARCHAR                        AS revenue_contract_bill_attribute_24,
      atr25::VARCHAR                        AS revenue_contract_bill_attribute_25,
      atr26::VARCHAR                        AS revenue_contract_bill_attribute_26,
      atr27::VARCHAR                        AS revenue_contract_bill_attribute_27,
      atr28::VARCHAR                        AS revenue_contract_bill_attribute_28,
      atr29::VARCHAR                        AS revenue_contract_bill_attribute_29,
      atr30::VARCHAR                        AS revenue_contract_bill_attribute_30,
      atr31::VARCHAR                        AS revenue_contract_bill_attribute_31,
      atr32::VARCHAR                        AS revenue_contract_bill_attribute_32,
      atr33::VARCHAR                        AS revenue_contract_bill_attribute_33,
      atr34::VARCHAR                        AS revenue_contract_bill_attribute_34,
      atr35::VARCHAR                        AS revenue_contract_bill_attribute_35,
      atr36::VARCHAR                        AS revenue_contract_bill_attribute_36,
      atr37::VARCHAR                        AS revenue_contract_bill_attribute_37,
      atr38::VARCHAR                        AS revenue_contract_bill_attribute_38,
      atr39::VARCHAR                        AS revenue_contract_bill_attribute_39,
      atr40::VARCHAR                        AS revenue_contract_bill_attribute_40,
      atr41::VARCHAR                        AS revenue_contract_bill_attribute_41,
      atr42::VARCHAR                        AS revenue_contract_bill_attribute_42,
      atr43::VARCHAR                        AS revenue_contract_bill_attribute_43,
      atr44::VARCHAR                        AS revenue_contract_bill_attribute_44,
      atr45::VARCHAR                        AS revenue_contract_bill_attribute_45,
      atr46::VARCHAR                        AS revenue_contract_bill_attribute_46,
      atr47::VARCHAR                        AS revenue_contract_bill_attribute_47,
      atr48::VARCHAR                        AS revenue_contract_bill_attribute_48,
      atr49::VARCHAR                        AS revenue_contract_bill_attribute_49,
      atr50::VARCHAR                        AS revenue_contract_bill_attribute_50,
      atr51::VARCHAR                        AS revenue_contract_bill_attribute_51,
      atr52::VARCHAR                        AS revenue_contract_bill_attribute_52,
      atr53::VARCHAR                        AS revenue_contract_bill_attribute_53,
      atr54::VARCHAR                        AS revenue_contract_bill_attribute_54,
      atr55::VARCHAR                        AS revenue_contract_bill_attribute_55,
      atr56::VARCHAR                        AS revenue_contract_bill_attribute_56,
      atr57::VARCHAR                        AS revenue_contract_bill_attribute_57,
      atr58::VARCHAR                        AS revenue_contract_bill_attribute_58,
      atr59::VARCHAR                        AS revenue_contract_bill_attribute_59,
      atr60::VARCHAR                        AS revenue_contract_bill_attribute_60,
      num1::FLOAT                           AS revenue_contract_bill_number_1,
      num2::FLOAT                           AS revenue_contract_bill_number_2,
      num3::FLOAT                           AS revenue_contract_bill_number_3,
      num4::FLOAT                           AS revenue_contract_bill_number_4,
      num5::FLOAT                           AS revenue_contract_bill_number_5,
      num6::FLOAT                           AS revenue_contract_bill_number_6,
      num7::FLOAT                           AS revenue_contract_bill_number_7,
      num8::FLOAT                           AS revenue_contract_bill_number_8,
      num9::FLOAT                           AS revenue_contract_bill_number_9,
      num10::FLOAT                          AS revenue_contract_bill_number_10,
      num11::FLOAT                          AS revenue_contract_bill_number_11,
      num12::FLOAT                          AS revenue_contract_bill_number_12,
      num13::FLOAT                          AS revenue_contract_bill_number_13,
      num14::FLOAT                          AS revenue_contract_bill_number_14,
      num15::FLOAT                          AS revenue_contract_bill_number_15,
      date1::DATETIME                       AS revenue_contract_bill_date_1,
      date2::DATETIME                       AS revenue_contract_bill_date_2,
      date3::DATETIME                       AS revenue_contract_bill_date_3,
      date4::DATETIME                       AS revenue_contract_bill_date_4,
      date5::DATETIME                       AS revenue_contract_bill_date_5,
      credit_rule::VARCHAR                  AS credit__rule,
      rel_pct::FLOAT                        AS recognized_percent,
      cost_amt::FLOAT                       AS cost_amount,
      cost_def_amt::FLOAT                   AS cost_deferred_amt,
      cost_rec_amt::FLOAT                   AS cost_recognized_amt,
      cost_curr::VARCHAR                    AS cost_transactional_curr,
      cost_fx_rate::VARCHAR                 AS cost_functional_currency_exchange_rate,
      dcog_segments::VARCHAR                AS deferred_cogs_segment,
      rcog_segments::VARCHAR                AS recognized_cogs_segment,
      line_id::VARCHAR                      AS revenue_contract_line_id,
      CONCAT(crtd_prd_id::VARCHAR, '01')    AS revenue_contract_bill_created_period_id,
      client_id::VARCHAR                    AS client_id,
      sec_atr_val::VARCHAR                  AS security_attribute_value,
      crtd_by::VARCHAR                      AS revenue_contract_bill_created_by,
      crtd_dt::DATETIME                     AS revenue_contract_bill_created_date,
      updt_by::VARCHAR                      AS revenue_contract_bill_updt_by,
      updt_dt::DATETIME                     AS revenue_contract_bill_updt_dt,
      incr_updt_dt::DATETIME                AS incremental_update_date,
      type::VARCHAR                         AS revenue_contract_bill_type,
      business_unit::VARCHAR                AS business_unit,
      ct_mod_date::DATETIME                 AS revenue_contract_line_modification_date,
      cust_num::VARCHAR                     AS customer_number,
      def_offset_segs::VARCHAR              AS deferred_offset_account,
      fv_date::VARCHAR                      AS fair_value_date,
      model_id::VARCHAR                     AS model_id,
      po_num::VARCHAR                       AS purchase_order_number,
      prod_class::VARCHAR                   AS product_class,
      prod_ctgry::VARCHAR                   AS product_category,
      prod_fmly::VARCHAR                    AS product_family,
      prod_ln::VARCHAR                      AS product_line,
      quote_num::VARCHAR                    AS quote_number,
      rev_offset_segs::VARCHAR              AS revenue_offset_account,
      sales_rep_name::VARCHAR               AS sales_representative_name,
      schd_ship_dt::VARCHAR                 AS scheduled_ship_date,
      ship_dt::DATETIME                     AS ship_dt,
      sob_id::VARCHAR                       AS set_of_books_id,
      unit_sell_prc::FLOAT                  AS unit_sell_price,
      unit_list_prc::FLOAT                  AS unit_list_price,
      bndl_prnt_id::VARCHAR                 AS bundle_parent_id,
      company_code::VARCHAR                 AS company_code,
      ca_account::VARCHAR                   AS contract_asset_account,
      ci_account::VARCHAR                   AS ci_account,
      al_account::VARCHAR                   AS al_account,
      contra_ar_acct::VARCHAR               AS contra_ar_account,
      payables_acct::VARCHAR                AS payables_account,
      lt_def_adj_acct::VARCHAR              AS long_term_deferred_adjustment_account,
      ub_liab_acct::VARCHAR                 AS ub_liability_account,
      ic_account::VARCHAR                   AS intercompany_account,
      alloc_rec_hold_flag::VARCHAR          AS is_allocation_recognition_hold,
      alloc_schd_hold_flag::VARCHAR         AS is_allocation_schedule_hold,
      approval_status_flag::VARCHAR         AS approval_status,
      contra_entry_flag::VARCHAR            AS is_contra_entry,
      cv_eligible_flag::VARCHAR             AS is_carve_eligible,
      disc_adj_flag::VARCHAR                AS is_disc_adjustment,
      fv_eligible_flag::VARCHAR             AS is_fair_value_eligible,
      impairment_type_flag::VARCHAR         AS impairment_type,
      manual_fv_flag::VARCHAR               AS is_manual_fair_value,
      reclass_flag::VARCHAR                 AS is_reclass,
      return_flag::VARCHAR                  AS is_return,
      rev_rec_hold_flag::VARCHAR            AS is_revenue_recogition_hold,
      rev_schd_hold_flag::VARCHAR           AS is_revenue_schedule_hold,
      rssp_calc_type::VARCHAR               AS rssp_calcultion_type,
      standalone_flag::VARCHAR              AS is_standalone,
      stated_flag::VARCHAR                  AS is_stated,
      within_fv_range_flag::VARCHAR         AS is_within_fair_value_range,
      ar_account::VARCHAR                   AS ar_account,
      cancel_flag::VARCHAR                  AS is_canceled,
      impairment_type_code::VARCHAR         AS impairment_type_code,
      impairment_type_name::VARCHAR         AS impairment_type_name,
      cv_eligible_lvl2_flag::VARCHAR        AS is_level_2_allocation_eligible,
      lt_def_cogs_acct::VARCHAR             AS long_term_deferred_cogs_account,
      lt_ca_account::VARCHAR                AS long_term_ca_account,
      rord_updt_flag::VARCHAR               AS is_reduction_order_update,
      ovr_std_incld_flag::VARCHAR           AS is_ovr_std_included,
      cm_cancel_flag::VARCHAR               AS is_cm_cancel,
      action_type::VARCHAR                  AS amendment_action_type,
      cost_gx_rate::VARCHAR                 AS cost_bill_exchange_rate,
      skip_ct_mod_flag::VARCHAR             AS is_skip_ct_mod,
      rem_init_entry_amt::FLOAT             AS rem_init_entry_amount,
      subscrp_term_num::VARCHAR             AS subscrpription_term,
      rord_knock_off_flag::VARCHAR          AS is_reduction_order_knock_off,
      sys_gnrtd_cmc_flag::VARCHAR           AS is_system_generated_cmc,
      sys_conv_cmro_flag::VARCHAR           AS is_system_converted_cmro,
      so_term_rec_flag::VARCHAR             AS is_sales_order_term_recognition,
      zbill_true_up_flag::VARCHAR           AS is_zbill_true_up,
      retain_line_id_flag::VARCHAR          AS is_retain_line_id,
      avoid_overage_flag::VARCHAR           AS is_avoid_overage
      
    FROM zuora_revenue_revenue_contract_bill

)

SELECT *
FROM renamed