{% docs zi_c_location_id %}

ZoomInfo unique identifier for company location

{% enddocs %}
{% docs zi_c_company_id %}

ZoomInfo Company ID for the headquarters (HQ) of a company entity

{% enddocs %}
{% docs zi_c_is_hq %}

This flag indicates if this record is the HQ entity

{% enddocs %}
{% docs zi_es_ecid %}

EverString Company ID (ECID) is a unique identifier for a company entity

{% enddocs %}
{% docs zi_c_latitude %}

Latitude geo-coordinate for company's physical location

{% enddocs %}
{% docs zi_c_longitude %}

Longitude geo-coordinate for company's physical location

{% enddocs %}
{% docs zi_c_verified_address %}

Verified address

{% enddocs %}
{% docs zi_c_employees %}

Raw employee count for a company

{% enddocs %}
{% docs zi_c_estimated_age %}

Estimated age of the company

{% enddocs %}
{% docs zi_c_is_b2b %}

A flag to represent a company as B2B (1, 0)

{% enddocs %}
{% docs zi_c_is_b2c %}

A flag to represent a company as B2C (1, 0)

{% enddocs %}
{% docs zi_es_hq_ecid %}

EverString Company ID (ECID) for the headquarters (HQ) of a company entity

{% enddocs %}
{% docs zi_c_company_latitude %}

Latitude geo-coordinate for company's physical location

{% enddocs %}
{% docs zi_c_company_longitude %}

Longitude geo-coordinate for company's physical location

{% enddocs %}
{% docs zi_c_company_employees %}

HQ Raw employee number for a company

{% enddocs %}
{% docs zi_c_alexa_rank %}

Alexa rank for the company, representing web traffic. Lower number indicates higher rank/traffic.

{% enddocs %}
{% docs zi_c_num_keywords %}

The number of ES_Keywords associated with a company. Larger numbers usually indicate a more sophisticated website and/or many lines of businesses.

{% enddocs %}
{% docs zi_c_employee_growth_1yr %}

Approximate company employee growth percentage in the past 1 year

{% enddocs %}
{% docs zi_c_employee_growth_2yr %}

Approximate company employee growth percentage in the past 2 years

{% enddocs %}
{% docs zi_es_percent_employee_growth %}

Percentage employee growth from last month compared against average growth in the industry

{% enddocs %}
{% docs zi_es_percent_revenue_growth %}

A measure of revenue growth from last month compared against average growth in the industry

{% enddocs %}
{% docs zi_c_name_confidence_score %}

Confidence score for the zi_c_C_NAME field (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_c_url_confidence_score %}

Confidence score for the zi_c_C_URL field (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_c_address_confidence_score %}

Confidence score for the zi_c_C_ADDRESS field (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_c_phone_confidence_score %}

Confidence score for the zi_c_C_PHONE field (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_c_employees_confidence_score %}

Confidence score for the zi_c_C_EMPLOYEES_RANGE field (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_c_revenue_confidence_score %}

Confidence score for the zi_c_C_REVENUE_RANGE field (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_es_industry_confidence_score %}

Confidence score for the zi_c_ES_INDUSTRY field (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_c_naics_confidence_score %}

Confidence score for the zi_c_C_NAICS field (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_c_sic_confidence_score %}

Confidence score for the zi_c_C_SIC field (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_c_url_last_updated %}

Date company's URL was last updated

{% enddocs %}
{% docs zi_c_inactive_flag %}

Identifies if a company is inactive. (1 or 0, 1 being inactive)

{% enddocs %}
{% docs zi_c_is_small_business %}

A flag to represent a company as a small business (1, 0). Small business is considered less than 500 employees. Note: This flag reflects employee size data at the ECID Location-Level, not HQ-Level

{% enddocs %}
{% docs zi_c_is_public %}

Indication if company is Public or Private (1, 0)

{% enddocs %}
{% docs zi_c_has_mobile_app %}

Identifies if this company has a mobile app link detected on their website (1, 0)

{% enddocs %}
{% docs zi_c_num_locations %}

Number of locations the company has

{% enddocs %}
{% docs zi_c_hr_contacts %}

Number of HR contacts available at the company

{% enddocs %}
{% docs zi_c_sales_contacts %}

Number of Sales contacts available at the company

{% enddocs %}
{% docs zi_c_marketing_contacts %}

Number of Marketing contacts available at the company

{% enddocs %}
{% docs zi_c_finance_contacts %}

Number of Finance contacts available at the company

{% enddocs %}
{% docs zi_c_c_suite_contacts %}

Number of C-Suite contacts available at the company

{% enddocs %}
{% docs zi_c_engineering_contacts %}

Number of Engineering contacts available at the company

{% enddocs %}
{% docs zi_c_it_contacts %}

Number of IT contacts available at the company

{% enddocs %}
{% docs zi_c_operations_contacts %}

Number of Operations contacts available at the company

{% enddocs %}
{% docs zi_c_legal_contacts %}

Number of Legal contacts available at the company

{% enddocs %}
{% docs zi_c_medical_contacts %}

Number of Medical contacts available at the company

{% enddocs %}
{% docs zi_c_latest_funding_age %}

The number of years since the company's last funding

{% enddocs %}
{% docs zi_c_num_of_investors %}

Number of investors for a company

{% enddocs %}
{% docs zi_c_total_funding_amount %}

The total amount of funding a company has received

{% enddocs %}
{% docs zi_c_latest_funding_amount %}

The amount of funding in the latest funding round of a company

{% enddocs %}

{% docs zi_c_num_funding_rounds %}

The number of funding rounds a company has had

{% enddocs %}

{% docs zi_c_is_fortune_100 %}

This flag indicates if this record is a Fortune 100 entity

{% enddocs %}
{% docs zi_c_is_fortune_500 %}

This flag indicates if this record is a Fortune 500 entity

{% enddocs %}
{% docs zi_c_is_s_and_p_500 %}

This flag indicates if this record is a S&P 500 entity

{% enddocs %}
{% docs zi_c_is_domestic_hq %}

This flag indicates if this record is a Domestic Parent entity

{% enddocs %}
{% docs zi_c_is_ultimate_parent %}

This flag indicates if this record is the Ultimate Parent entity

{% enddocs %}
{% docs zi_c_is_subsidiary %}

This flag indicates if this record is a Subsidiary entity

{% enddocs %}
{% docs zi_c_is_franchisor %}

This flag indicates if this record is a Franchisor

{% enddocs %}
{% docs zi_c_is_franchisee %}

This flag indicates if this record is a Frachisee

{% enddocs %}
{% docs zi_c_is_immediate_parent %}

This flag indicates if this record is the Immediate Parent entity

{% enddocs %}
{% docs zi_c_is_domestic_parent %}

This flag indicates if this record is the Domestic Parent entity

{% enddocs %}
{% docs zi_c_hierarchy_level %}

This number indicates the hierarchy level equivalent to the hierarchy code

{% enddocs %}
{% docs zi_c_parent_child_confidence_score %}

Confidence score for the parent child hierarchy linkage (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_c_immediate_parent_company_id %}

Unique identifier of parent company of requested company

{% enddocs %}
{% docs zi_es_immediate_parent_ecid %}

EverString Company ID (ECID) for the parent company

{% enddocs %}
{% docs zi_c_domestic_parent_company_id %}

Unique identifier of parent company of requested company

{% enddocs %}
{% docs zi_es_domestic_parent_ecid %}

Domestic parent company's identifier number

{% enddocs %}
{% docs zi_c_ultimate_parent_company_id %}

Unique identifier of global parent company that has acquired requested company

{% enddocs %}
{% docs zi_es_ultimate_parent_ecid %}

Ultimate parent company's identifier number

{% enddocs %}
{% docs zi_c_franchisor_company_id %}

Company franchisor's ZoomInfo Company ID

{% enddocs %}
{% docs zi_es_franchisor_ecid %}

Company franchisor's identifier number

{% enddocs %}
{% docs zi_c_last_updated_date %}

Date when the record was last updated

{% enddocs %}
{% docs zi_es_location_id %}

Everstring location id

{% enddocs %}
{% docs zi_c_tier_grade %}

Overall data quality tier for a record (A, B, C)

{% enddocs %}
{% docs zi_c_name %}

Company name for location

{% enddocs %}
{% docs zi_c_name_display %}

Colloquial name

{% enddocs %}
{% docs zi_c_legal_entity_type %}

Legal structure of company, generally parsed from the end of the legal name (Inc, LLC)

{% enddocs %}
{% docs zi_c_url %}

Primary website of the company. May contain yelp.com URLs for companies without a top-level domain.

{% enddocs %}
{% docs zi_c_street %}

Company's physical street address

{% enddocs %}
{% docs zi_c_street_2 %}

Company's physical street address continued

{% enddocs %}
{% docs zi_c_city %}

Company's physical city

{% enddocs %}
{% docs zi_c_state %}

Company's physical state

{% enddocs %}
{% docs zi_c_zip %}

Company's physical zip/postal code

{% enddocs %}
{% docs zi_c_country %}

Company's physical country

{% enddocs %}
{% docs zi_c_cbsa_name %}

Company's core-based statistical area

{% enddocs %}
{% docs zi_c_county %}

Company's physical county

{% enddocs %}
{% docs zi_c_employee_range %}

Employee category band (
'1-5
'6-10
'11-20
'21-50
'51-100
'101-250
'251-500
'501-1,000
'1,001-2,000
'2,001-5,000
'5,001-10,000
'10,000+)

{% enddocs %}
{% docs zi_c_revenue_range %}

Revenue category band in USD (
$0M-$1M
$1M-$5M
$5M-$10M
$10M-$25M
$25M-$50M
$50M-$100M
$100M-$250M
$250M-$500M
$500M-$1B
$1B-$5B
$5B+)

{% enddocs %}
{% docs zi_c_revenue %}

Raw revenue number in USD (in thousands)

{% enddocs %}
{% docs zi_c_phone %}

Company location phone number

{% enddocs %}
{% docs zi_c_fax %}

Primary fax number for company location

{% enddocs %}
{% docs zi_c_industry_primary %}

Top-level primary industry of the company location

{% enddocs %}
{% docs zi_c_sub_industry_primary %}

Top-level primary sub-industry of the company location

{% enddocs %}
{% docs zi_c_industries %}

All industries

{% enddocs %}
{% docs zi_c_sub_industries %}

All sub-industries

{% enddocs %}
{% docs zi_es_industry %}

Primary industry based on EverString's industry taxonomy

{% enddocs %}
{% docs zi_es_industries_top3 %}

The top three industries predicted, as many larger companies can operate in multiple industries.

{% enddocs %}
{% docs zi_c_naics2 %}

Primary 2-digit NAICS code

{% enddocs %}
{% docs zi_c_naics4 %}

Primary 4-digit NAICS code

{% enddocs %}
{% docs zi_c_naics6 %}

Primary 6-digit NAICS code

{% enddocs %}
{% docs zi_c_naics_top3 %}

The top three NAICS predicted, as many larger companies can operate in multiple industries.

{% enddocs %}
{% docs zi_c_sic2 %}

Primary 2-digit SIC code

{% enddocs %}
{% docs zi_c_sic3 %}

Primary 3-digit SIC code

{% enddocs %}
{% docs zi_c_sic4 %}

Primary 4-digit SIC code

{% enddocs %}
{% docs zi_c_sic_top3 %}

The top three SIC predicted, as many larger companies can operate in multiple industries.

{% enddocs %}







{% docs zi_c_year_founded %}

Founding year of the company

{% enddocs %}
{% docs zi_es_hq_location_id %}

EverString Company ID (ECID) for the headquarters (HQ) of a company entity

{% enddocs %}
{% docs zi_c_company_name %}

Company name. May match zi_c_C_NAME.

{% enddocs %}
{% docs zi_c_company_url %}

Primary website of the company. May contain yelp.com websites. May match zi_c_C_URL.

{% enddocs %}
{% docs zi_c_company_street %}

Company's physical street address

{% enddocs %}
{% docs zi_c_company_street_2 %}

Company's physical street address continued

{% enddocs %}
{% docs zi_c_company_city %}

Company's physical city

{% enddocs %}
{% docs zi_c_company_state %}

Company's physical state

{% enddocs %}
{% docs zi_c_company_zip %}

Company's physical zip/postal code

{% enddocs %}
{% docs zi_c_company_country %}

Company's physical country

{% enddocs %}
{% docs zi_c_company_cbsa_name %}

Company's core-based statistical area

{% enddocs %}
{% docs zi_c_company_county %}

Company's physical county

{% enddocs %}
{% docs zi_c_company_verified_address %}

This flag indicates if the company's address is verified

{% enddocs %}
{% docs zi_c_company_employee_range %}

Employee category band (
'1-5
'6-10
'11-20
'21-50
'51-100
'101-250
'251-500
'501-1,000
'1,001-2,000
'2,001-5,000
'5,001-10,000
'10,000+)

{% enddocs %}
{% docs zi_c_company_revenue_range %}

Revenue category band in USD (
$0M-$1M
$1M-$5M
$5M-$10M
$10M-$25M
$25M-$50M
$50M-$100M
$100M-$250M
$250M-$500M
$500M-$1B
$1B-$5B
$5B+)

{% enddocs %}
{% docs zi_c_company_revenue %}

Convert company revenue from thousands 

{% enddocs %}
{% docs zi_c_company_phone %}

Company location phone number

{% enddocs %}
{% docs zi_c_company_fax %}

Primary fax number for company location

{% enddocs %}

{% docs zi_c_linkedin_url %}

Linkedin URL for the company

{% enddocs %}
{% docs zi_c_facebook_url %}

Facebook URL for the company

{% enddocs %}
{% docs zi_c_twitter_url %}

Twitter URL for the company

{% enddocs %}
{% docs zi_c_yelp_url %}

Yelp URL for the company

{% enddocs %}
{% docs zi_c_keywords %}

Machine generated tags for the company

{% enddocs %}
{% docs zi_c_top_keywords %}

Top ten machine generated tags for the company

{% enddocs %}
{% docs zi_es_growth %}

A measure of growth from last month compared against average growth in the industry

{% enddocs %}
{% docs zi_es_employee_growth %}

A measure of employee growth from last month compared against average growth in the industry

{% enddocs %}
{% docs zi_es_revenue_growth %}

A measure of revenue growth from last month compared against average growth in the industry

{% enddocs %}

{% docs zi_es_industries_top3_confidence_scores %}

Confidence score for the zi_c_ES_INDUSTRIES_TOP3 field (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_c_naics_top3_confidence_scores %}

Confidence score for the zi_c_C_NAICS6_TOP3 field (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_c_sic_top3_confidence_scores %}

Confidence score for the zi_c_C_SIC4_TOP3 field (0.2, 0.4, 0.6, 0.8, 1 - 1 being highest)

{% enddocs %}
{% docs zi_c_ids_merged %}

Previous IDs that have been merged

{% enddocs %}
{% docs zi_c_names_other %}

Alternate company name

{% enddocs %}
{% docs zi_c_url_status %}

Identifies if a company's website is still active or redirects to another website. VALID, INVALID, PARKED, REDIRECT.

{% enddocs %}
{% docs zi_c_urls_alt %}

All websites related to a company

{% enddocs %}
{% docs zi_c_ein %}

The Employer Identification Number (EIN) of a company

{% enddocs %}

{% docs zi_c_ticker %}

Stock ticker for the company

{% enddocs %}
{% docs zi_c_tickers_alt %}

Alternate stock ticker for the company

{% enddocs %}
{% docs zi_c_currency_code %}

Company's currency code

{% enddocs %}
{% docs zi_c_tech_ids %}

Unique identifier for a technology. Could be a single tech ID, or a comma-separated list of ID's

{% enddocs %}
{% docs zi_c_investor_names %}

All investor names from publicly available sources

{% enddocs %}
{% docs zi_c_funding_strength %}

A measure of funding strength of a business based on type and who they received funding from (Low, Medium, High)

{% enddocs %}
{% docs zi_c_funding_type %}

Publicly available sources funding type

{% enddocs %}
{% docs zi_c_latest_funding_date %}

Date when the latest funding was received

{% enddocs %}

{% docs zi_c_hierarchy_code %}

This alpha code identifies the record's hierarchy level and location level. Hierarchy levels include Global Parent, Domestic Parent, or Subsidiary. Location levels include Individual Location or Headquarters location.
 
GP - Global Parent, DP - Domestic Parent, SU - Subsidiary, HQ - Headquarters, IL - Individual Location, FR - Franchisor, FE - Franchisee

Global Parent (GP) - The top decision making entity in a corporation’s hierarchy, regardless of country.
Domestic Parent (DP) - The top decision making entity in a corporation’s hierarchy, that is local to the company’s own country.
Immediate Parent (IP) - A parent company that acquired the child company, listed immediately next in hierarchy
Individual Location (IL) - A standalone location under a business entity with multiple locations; could be a Subsidiary (SU) of a Domestic Parent (DP) or a Global Parent (GP)
Subsidiary (SU) - A company that has been acquired by another company
Headquarters (HQ) - The company headquarters. This entity could be a Subsidiary (SU), a Domestic Parent (DP), or a Global Parent (GP)
 
Combinations include:
DPSUHQ: Domestic Parent, Subsidiary, Headquarters - This Hierarchy Code represents the Headquarters of a Domestic Parent business that owns Subsidiaries, but also is owned by a Global Parent based in another country
DPSUHQFE: Domestic Parent, Subsidiary, Headquarters, Franchisee - This Hierarchy Code represents the Headquarters of a Domestic Parent business that is a franchisee that owns Subsidiaries, but also is owned by a Global Parent based in another country
DPSUHQFR: Domestic Parent, Subsidiary, Headquarters, Franchisor - This Hierarchy Code represents the Headquarters of a Domestic Parent business that is a franchisor that owns Subsidiaries, but also is owned by a Global Parent based in another country
DPSUIL: Domestic Parent, Subsidiary, Individual Location - This Hierarchy Code represents an Individual Location of a Domestic Parent business that owns Subsidiaries, but also is owned by a Global Parent based in another country
DPSUILFE: Domestic Parent, Subsidiary, Individual Location, Franchisee - This Hierarchy Code represents an Individual Location that is a franchisee of a Domestic Parent business that owns Subsidiaries, but also is owned by a Global Parent based in another country
GPDPSUHQ: Global Parent, Domestic Parent, Subsidiary, Headquarter - This Hierarchy Code represents the Headquarters of a Global Parent that is also the Domestic Parent and owns Subsidiaries
GPDPSUHQFE: Global Parent, Domestic Parent, Subsidiary, Headquarter, Franchisee - This Hierarchy Code represents the Headquarters of a Global Parent that is also the Domestic Parent, owns Subsidiaries, and is a franchisee
GPDPSUHQFR: Global Parent, Domestic Parent, Subsidiary, Headquarter, Franchisor - Global Parent, Domestic Parent, Subsidiary, Headquarter, Franchisee - This Hierarchy Code represents the Headquarters of a Global Parent that is also the Domestic Parent, owns Subsidiaries, and is a franchisor
GPHQ: Global Parent, Headquarter - This Hierarchy Code represents the Headquarters of a Global Parent
GPHQFE: Global Parent, Headquarter, Franchisee - This Hierarchy Code represents the Headquarters of a Global Parent that is also a Franchisee
GPHQFR: Global Parent, Headquarter, Franchisor - This Hierarchy Code represents the Headquarters of a Global Parent that is also a Franchisor
HQ: Headquarter - This Hierarchy Code represents the Headquarters of a business that does not have any parents or subsidiaries
HQFE: Headquarter, Franchisee - This Hierarchy Code represents the Headquarters of a business that is a Franchisee that does not have any parents or subsidiaries
HQFR: Headquarter, Franchisor - This Hierarchy Code represents the Headquarters of a business that is a Franchisor that does not have any parents or subsidiaries
IL: Individual Location - This Hierarchy Code represents and Individual Location of a business that does not have any parents or subsidiaries
ILFE: Individual Location, Franchisee - This Hierarchy Code represents and Individual Location of a business that is also a Franchisee of a business that does not have any parents or subsidiaries
SUHQ: Subsidiary, Headquarters - This Hierarchy Code represents the Headquarters of a Subsidiary business that is owned by another entity
 
Notes on Global Parents: Global Parents include ECIDs for businesses that are headquartered in foreign countries with subsidiaries based Domestically, as well as single-entity or Domestic-only businesses that would otherwise not have a foreign Global Parent associated with the record. In practice, single-entity or Domestic-only businesses have the same ECID for Global Parent as they do for Domestic Parent."

{% enddocs %}
{% docs zi_es_immediate_parent_location_id %}

Immediate parent company's location identifier

{% enddocs %}

{% docs zi_c_immediate_parent_name %}

Immediate parent company's name

{% enddocs %}
{% docs zi_c_immediate_parent_url %}

Immediate parent company's website

{% enddocs %}
{% docs zi_c_immediate_parent_street %}

Immediate parent company's street address

{% enddocs %}
{% docs zi_c_immediate_parent_street_2 %}

Immediate parent company's street address continued

{% enddocs %}
{% docs zi_c_immediate_parent_city %}

Immediate parent company's city

{% enddocs %}
{% docs zi_c_immediate_parent_zip %}

Immediate parent company's zip code

{% enddocs %}
{% docs zi_c_immediate_parent_state %}

Immediate parent company's state

{% enddocs %}
{% docs zi_c_immediate_parent_country %}

Immediate parent company's country

{% enddocs %}

{% docs zi_es_domestic_parent_location_id %}

Unique identifier of parent company's (in a given country) location ID, where ZI_C_DOMESTIC_HQ = 1

{% enddocs %}

{% docs zi_c_domestic_parent_name %}

Domestic parent company's name

{% enddocs %}
{% docs zi_c_domestic_parent_url %}

Domestic parent company's website

{% enddocs %}
{% docs zi_c_domestic_parent_street %}

Domestic parent company's street address

{% enddocs %}
{% docs zi_c_domestic_parent_street_2 %}

Domestic parent company's street address continued

{% enddocs %}
{% docs zi_c_domestic_parent_city %}

Domestic parent company's city

{% enddocs %}
{% docs zi_c_domestic_parent_zip %}

Domestic parent company's zip code

{% enddocs %}
{% docs zi_c_domestic_parent_state %}

Domestic parent company's state

{% enddocs %}
{% docs zi_c_domestic_parent_country %}

Domestic parent company's country

{% enddocs %}
{% docs zi_c_domestic_parent_location_id %}

Domestic parent company's location ID

{% enddocs %}
{% docs zi_es_ultimate_parent_location_id %}

Ultimate parent company's location ID

{% enddocs %}

{% docs zi_c_ultimate_parent_name %}

Global parent company's name

{% enddocs %}
{% docs zi_c_ultimate_parent_url %}

Global parent company's website

{% enddocs %}
{% docs zi_c_ultimate_parent_street %}

Global parent company's street address

{% enddocs %}
{% docs zi_c_ultimate_parent_street_2 %}

Global parent company's street address continued

{% enddocs %}
{% docs zi_c_ultimate_parent_city %}

Global parent company's city

{% enddocs %}
{% docs zi_c_ultimate_parent_zip %}

Global parent company's zip

{% enddocs %}
{% docs zi_c_ultimate_parent_state %}

Global parent company's state

{% enddocs %}
{% docs zi_c_ultimate_parent_country %}

Global parent company's country

{% enddocs %}

{% docs zi_es_franchisor_location_id %}

Company franchisor's location number

{% enddocs %}
{% docs zi_c_franchisor_name %}

Company franchisor's name

{% enddocs %}
{% docs zi_c_franchisor_url %}

Company franchisor's website

{% enddocs %}
{% docs zi_c_franchisor_street %}

Company franchisor's street address

{% enddocs %}
{% docs zi_c_franchisor_street_2 %}

Company franchisor's street address continued

{% enddocs %}
{% docs zi_c_franchisor_city %}

Company franchisor's city

{% enddocs %}
{% docs zi_c_franchisor_zip %}

Company franchisor's zip code

{% enddocs %}
{% docs zi_c_franchisor_state %}

Company franchisor's state

{% enddocs %}
{% docs zi_c_franchisor_country %}

Company franchisor's country

{% enddocs %}
{% docs zi_c_release_date %}

Year and Month of this data release.

{% enddocs %}