WITH source AS (

    SELECT *
    FROM {{ ref('gitlab_dotcom_vulnerability_occurrences_dedupe_source') }}
    
)
SELECT 
    id::NUMBER                                                              AS id,  
    SHA2(RANDSTR(32, project_id::NUMBER) || project_id::VARCHAR)::VARCHAR   AS project_id,
    scanner_id::NUMBER                                                      AS vulnerability_scanner_id,
    primary_identifier_id::NUMBER                                           AS vulnerability_primary_identifier_id,
    vulnerability_id::FLOAT                                                 AS vulnerability_id,
    created_at::TIMESTAMP                                                   AS vulnerability_created_at,
    updated_at::TIMESTAMP                                                   AS vulnerability_updated_at,
    severity::NUMBER                                                        AS vulnerability_severity,
    confidence::NUMBER                                                      AS vulnerability_confidence,
    report_type::NUMBER                                                     AS vulnerability_report_type,
    uuid::TEXT                                                              AS vulnerability_uuid,
    name::VARCHAR                                                           AS vulnerability_name,
    metadata_version::TEXT                                                  AS vulnerability_metadata_version,
    raw_metadata::TEXT                                                      AS vulnerability_raw_metadata
FROM source

