
WITH source AS (

  SELECT *
  FROM {{ ref('gitlab_dotcom_vulnerability_reads_dedupe_source') }}

),

renamed AS (

  SELECT
    id::NUMBER                                  AS id,
    vulnerability_id::NUMBER                    AS vulnerability_id,
    project_id::NUMBER                          AS project_id,
    scanner_id::NUMBER                          AS scanner_id,
    uuid::VARCHAR                                AS uuid,
    namespace_id::NUMBER                        AS namespace_id,
    report_type::NUMBER                         AS report_type,
    resolved_on_default_branch::BOOLEAN         AS resolved_on_default_branch,
    state::NUMBER                               AS state,
    dismissal_reason::NUMBER                    AS dismissal_reason
  FROM source 
)

SELECT *
FROM renamed